/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.','jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,'.',3,';',0,'document.','getElementById','||!',17,'childNodes||!',17,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,'.',3,'={version:"3.3e",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',40,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',44,'left',41,' span',44,'left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',40,56,'size0','":"font-size: ','50','%",".typeset .','size1',61,'60',63,'size2',61,'70',63,'size3',61,'85',63,'size4',61,'100',63,'size5',61,'120',63,'size6',61,'144',63,'size7',61,'173',63,'size8',61,'207',63,'size9',61,'249',63,'cmr10','":"font-family: jsMath-',100,', serif',56,'cmbx10',101,105,', ',3,'-',100,56,'cmti10',101,113,', ',3,'-',100,56,'cmmi10',101,121,56,'cmsy10',101,125,56,'cmex10',101,129,56,'textit','":"font-family: serif; font-','style:italic',56,'textbf',134,'weight:bold',56,'link":"','text-decoration',': none',56,'error',61,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',54,': 1px; "+"border: ','1px solid',' #CC0000',56,'blank','":"','display:inline-block','; ','overflow:hidden',52,':0px none; width:0px; height:0px;",".','typeset .','spacer','":"',157,'","#','jsMath_message','":"','position:fixed','; bottom:1px; ','left:2px; ',148,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#','jsMath_panel','":"',169,'; bottom:1.5em; right:1.5em',54,': .8em 1.6em; "+"',148,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',181,182,183,' .disabled":"color:#888888","#',183,' .infoLink','":"font-size:','85%","#',183,' td','":"border:0px; padding:0px; margin:0px;","#',183,' tr',202,183,' table',202,'jsMath_button','":"',169,170,'right:2px; ',148,':white',174,'0px 3px 1px 3px',176,':black; ',142,':none',178,':x-small; "+"',181,'; ','cursor:hand',182,'jsMath_global":"font-',135,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',181,'; height:auto',230,' .drag":"',148,190,'1px; height:12px',178,': 1px',230,' .close":"',148,173,52,': inset 1px; width:8px; height:8px; margin: 1px 2px',230,' .source":"',148,':#E2E2E2',52,': outset 1px; "+"',181,235,54,': 8px 15px; "+"font-family: courier, fixed',178,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',180,181,182,'jsMath_noFont .link','":"padding: 0px 5px 2px 5px',52,': 2px outset; ',148,':#E8E8E8; "+"color:black',178,':80%; ',181,'; ',226,182,'jsMath_PrintWarning',261,'x-',180,181,';","@media print":"#',209,' {display:none','}\\n"+"#jsMath_Warning',284,'}","@media screen":"#',277,284,'}"},Element',':function(','_1){return ',7,17,18,'("jsMath_"+_1);},','BBoxFor',291,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',303,'.offsetHeight','};this.',301,'="";return _3;},EmBoxFor',291,'s',9,'_5=',7,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',322,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',322,'];},','EmBoxForItalics',291,'s',9,'_8=',7,316,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',322,']){var _9',324,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',324,'(s+',7,'Browser.','italicString',').w-',7,351,'italicCorrection',';}_8',322,']={w:_9.w/this.em,h:_9',328,'_8',322,'];},Init',':function(){','if(',7,'Setup.inited','!=1){',0,7,367,'){',7,'Setup.','Body();}if(',7,367,'!=1){if(',7,367,'==-100','){return;}',25,'It looks like ',3,' failed to set up properly (error code "+',7,367,'+").  "+"I will try to keep going, but it could get ugly.");',7,367,'=1;}}this.em',324,'("<span style=\\""+',7,351,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',300,'em',324,'("<img src=\\""+',7,155,'+"\\" style=\\"',398,'\\"/>").w/13;}var _a=',7,316,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',324,'("x");var hh=',415,'bb.h;',415,'d',324,'("x"+',7,'HTML.Rule(1,','hh/',7,'em)).h-hh;if(',7,351,352,'){',415,'ic=',7,297,'(',7,351,352,').w;}}',7,351,356,'=',415,'ic;var bb=',415,'bb;var h=bb.h;var d=',415,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',374,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',100,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',300,374,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',467,'0].d)/0.85;',461,'=1;},ReInit',364,'var w',324,'("x").w;if(w!=this.xWidth',300,'Init();}},Loaded',364,'if(',10,9,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',10,'[_11[i]]){delete ',10,'[_11[i]];}}}if(',10,'){this.Insert(',3,',',10,');}',10,'=null;',7,8,'=1;},Add',291,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',291,503,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',509,'function")){this.Insert(dst[id],src[id]);}',31,504,'];}}},Package',291,'obj,def',492,'obj.prototype,def);}};',7,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',364,7,316,'={',522,':{}};},GoGlobal',291,'_1b',9,'url=String(',7,1,'.','location);','var c=(',7,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',7,'Controls.','Reload(',7,'root+"',3,'-global.html"+c+escape(url));},Init',364,'if(',7,'Controls.cookie.','global=="always"&&!',7,'noGoGlobal','){','if(navigator.','accentColorName',382,0,7,1,'){',7,1,'=',1,';}',7,543,8,'=1;',7,543,'defaults.hiddenGlobal',498,'this.GoGlobal(',7,543,'SetCookie(2));}},Register',364,'var _1e=',7,1,'.parent;',0,7,'isCHMode){',7,540,'=(',7,1,'.','location.protocol','=="mk:");}try{',0,7,540,300,'Domain();}if(_1e.',3,'&&_1e.',7,'isGlobal){_1e.',7,'Register(',7,1,');}}','catch(err','){',7,555,'=1;}},Domain',364,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',382,'if(',1,'==parent',382,'var _1f=',7,17,'domain;try{while(true){try{if(parent.',17,'title!=null','){return;}}',611,'){}',0,17,'domain.match(/\\..*\\./)){break;}',7,17,'domain=',7,17,'domain.replace(/^[^.]*\\./,"");}}',611,'){}',7,17,639,'_1f;}};',7,'Script={request:null,Init',364,'if(!(',7,552,'asynch&&',7,552,'progress',')){if(',1,'.XMLHttpRequest){try{','this.request','=new XMLHttpRequest;}',611,'){}}',0,662,'&&',1,'.','ActiveXObject',9,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',674,'.3',674,'","Microsoft.XMLHTTP"];',484,'xml.length&&!',662,';i++){try{',662,'=new ',671,'(xml[i]);}',611,'){}}}}',0,662,'||',7,374,'domainChanged',300,'Load=this.delayedLoad;this.needsBody=1;}},Load',291,'url,_23){if(_23){',7,'Message.Set("Loading "+url);',7,'Script.','Delay(1);',7,'Script.Push(','this,"xmlRequest",url',');',7,706,7,'Message',',"Clear");}',31,7,706,707,');}},xmlRequest',291,'url){','this.blocking','=1;try{',662,'.open("GET",url,false);',662,'.send(null);}',611,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',712,': "+err.message;}if(',662,'.status','&&',662,732,'>=400',728,'Error status: "+',662,732,';}',0,'url.match(/\\.js$/)){','return (',662,'.responseText',');}var _25=','this.queue',';',748,'=[];',7,1,'.eval(',662,746,');',721,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',291,'_26,_27){','if(typeof (','_26)!="string"){',7,706,'null,_26,_27);}',31,7,706,7,1,',"eval",_26);}},Push',291,'_28,_29,_2a){',748,'[',748,'.length]=[_28,_29,_2a];if(!(',721,'||(this.needsBody&&!',7,17,'body))){this.Process();}},Process',364,'while(',748,'.length&&!',721,9,'_2b=',748,'[0];var _2c=',748,'.slice(1);',748,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',31,'if(_2e){_2e(_2f);}}',760,'_2c);}},delayedLoad',291,'url',300,'Push(this,"startLoad",url);},startLoad',291,'url){','this.iframe','=',7,17,23,'("iframe");','this.iframe.style.','visibility="',303,'";',815,'position="absolute";',815,'width="0px";',815,'height="0px";if(',7,17,'body.firstChild','){',7,17,'body.insertBefore(',809,',',7,17,827,');}',31,7,17,'body','.appendChild(',809,');}',721,'=1;this.','url=url;',0,743,809,'.src=url;}',31,809,'.src=',7,546,3,'-loader.html";}if(url.substr(0,',7,'root.length',')==',7,'root){url=url.substr(',7,860,');}',7,701,'this.cancelTimer','=setTimeout("',7,703,'cancelLoad','()",this.cancelTimeout);},endLoad',291,'_32){if(',869,'){clearTimeout(',869,');',869,'=null;}',7,712,'.Clear();if(_32!="cancel"){',721,'=0;this.Process','();}},Start',364,'this.tmpQueue','=',748,';',748,'=[];},End',364,760,890,');delete ',890,';},',873,364,869,498,7,712,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',291,'_33){',721,'=1;setTimeout("',7,703,'endDelay','()",_33);},',915,364,721,887,'();},','imageCount',':0,WaitForImage',291,'_34){',721,846,922,'++;if(this.img==null',300,'img=[];}var img=new Image',465,'img[this.img.length]=img;img.onload=function(){if(--',7,703,922,'==0){',7,703,915,'();}};img.onerror','=img.onload;img.','onabort',942,'src=_34;},Uncompress',291,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',484,'n;i++){',764,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,754,'_36.join(""));}};',7,712,'={',155,':null,message:null,text:null,clear:null,Init',364,0,7,17,'body||!',7,552,658,382,'if(',7,374,'stylesReady){','this.message','=',7,'Setup.DIV("message",{visibility:"hidden','"});}',31,975,'=',7,978,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',7,17,'createTextNode','("");',975,842,989,');',975,'.onmousedown=',7,'Translate.Cancel;},Set',291,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',882,'if(',7,552,658,'){',0,989,300,'Init();',0,989,631,'if(',7,351,'textNodeBug','){',975,'.innerHTML','=_3b;}',31,989,'.nodeValue',1028,'this.message.style.',816,'visible";if(_3c){',1033,'cursor="pointer";',0,1033,'cursor){',1033,'cursor="hand";}',975,'.title=" Cancel Processing of Math ";}',31,1033,'cursor="";',975,'.title="";}}',31,'if(_3b.substr(0,8)!="Loading "){',7,1,732,'=_3b;}}},Clear',364,1005,');}',1007,'=setTimeout("',7,712,'.doClear()",1000);},doClear',364,'if(',1007,'){',1007,498,7,1,732,'="";if(',989,'){',989,1031,'="";}if(',975,'){',1033,816,303,'";}}},Blank',364,'if(','this.blank','||!',7,17,'body',382,1087,'=',7,374,'DIV("',155,'",{position:(',7,351,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',987,':"white"});if(',7,351,'msieBlankBug','){',1087,1027,'="&nbsp;";',1087,'.style.width="110%";',1087,'.style.height="110%";}},UnBlank',364,'if(',1087,'){',7,17,'body.removeChild(',1087,');}',1087,'=null;}};',7,'Setup={',8,':[],DIV',291,'id,_3e',9,'div=',7,17,23,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,7,17,'body.hasChildNodes){',7,17,'body',842,'div);}',31,7,17,831,'div,',7,17,827,');}return div;},Script',291,'_41,_42){if(','this.loaded[_41',']){return;}',31,1162,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',7,'root+_41;}',7,703,'Load(_41,_42);},Hidden',364,7,303,'=this.DIV("Hidden",{visibility:"',303,985,'top:0,left:0,border:0,padding:0,margin:0});',7,'hiddenTop=',7,303,';return;},Source',364,'if(',7,'Autoload&&',7,'Autoload.root','){',7,'root=',7,1191,';}',31,7,'root="";var _43=',7,17,'getElementsByTagName("','script");if(_43){',484,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',7,'js$")){',7,1194,'src.','replace(/',7,'js$/,"");i=_43.length;}}}}if(',7,'root.charAt(0)=="/"){',7,1194,7,17,595,'+"//"+',7,17,'location.host+',7,'root;}',31,0,7,'root.match','(/^[a-z]+:/i)){src','=new String(',7,17,537,7,1194,'src','.replace(new RegExp','("[^/]*$"),"")+',7,'root;while(',7,1233,'("/[^/]*/\\\\.\\\\./")){',7,1194,7,'root',1242,'("/[^/]*/\\\\.\\\\./"),"/");}}}',7,'Img.',1194,7,546,'fonts/";',7,155,'=',7,546,155,'.gif";this.Domain();},Domain',364,'try{',7,17,'domain;}',611,382,'var _46="";var _47=',7,17,'domain;if(',7,1233,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',382,617,'onLine&&','navigator.',618,'&&',7,17,'all',382,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1293,'2',1295,'2]){this.','DomainWarning','();return;}var _48=',1293,'2]+"."+',1293,'1];for(var i=3;i<=_46.length&&i<=_47',486,1293,'i',1295,'i]){break;}_48=',1293,'i]+"."+_48;}',7,17,639,'_48;this.',695,'=1;},',1301,364,25,'In order for ',3,' to be able to load the additional "+"components that it may need, the ',7,'js file must be "+"',8,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',27,'displayed here may not appear correctly.");},','EncodeFont',291,'_4a',9,'_4b=',7,'TeX[_4a];if(_4b[0].c!=null',382,948,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',7,'TeX.encoding[k];}},Fonts',364,484,7,'TeX.fam',1207,'_4f=',7,1347,'[i];if(_4f',300,1332,'(_4f);}}},TeXfont',291,'_50',9,'_51=',7,'TeX[_50];if(_51==null',382,'var WH=',7,456,'=\\""+_50+"\\">"+_51[65','].c+"</span>");','_51.hd=WH.h;_51.dh=0.05;_51.d=',7,456,'=\\""+_50+"\\">"+_51[65].c+',7,426,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',121,'"){_51.skewchar=','127;}',31,1375,125,1377,'48;}}},',454,364,484,7,1347,486,7,1347,'[i]){this.TeXfont(',7,1347,'[i]);}}},Sizes',364,7,'TeXparams','=[];for(var j=0;j<',7,'sizes.length;j++){',7,1398,'[j]={};}',1140,7,'TeX){',764,7,'TeX[i])!="object"){for(var j=0;j<',7,'sizes.length;j++){',7,1398,'[j][i]=',7,'sizes[j]*',7,'TeX[i]/100;}}}},Styles',291,'_57){',0,'_57){_57=',7,'styles;_57[".',162,'scale"]="font-size:"+',7,552,'scale+"%";this.stylesReady=1;}',7,706,'this,"','AddStyleSheet','",_57);if(',7,351,'styleChangeDelay','){',7,706,7,'Script,"Delay",1);}},',1434,291,'_58',9,'_59=',7,17,1203,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',7,17,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',31,'var _5c=',7,17,23,'("style");_5c.type="text/css";_5c',842,7,17,993,'(_5a));_59',842,'_5c);}},Body',364,'if(this.inited',382,'this.inited=-','1;',7,374,'Hidden();',1474,'2;',7,351,1017,1474,'3;if(',7,552,155,'){',7,712,'.Blank();}',1474,'4;',7,374,'Styles();',1474,'5;',7,543,1017,1474,'6;',7,706,7,'Setup,"User","pre-font");',1474,'7;',7,706,7,'Font,"Check");if(',7,'Font.register.length){',7,706,7,'Font,"LoadRegistered");}this.inited=1;},User',291,'_5d){}};',7,'Update={',454,291,'_5e){for(var ','_5f in ',1527,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',7,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',291,'_62){for(var _63 in _62){',484,'_62[_63].length;i++){',7,'TeX[_63][i].c=_62[_63][i];}}}};',7,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1438,':0,delay:1,version:0,','TestSpanHeight',364,7,301,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',399,'></span>";var ','_65=',7,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',307,'>=img',307,'&&_65',307,'>0);','this.spanHeightTooBig','=(_65',307,'>img',307,');',7,301,'="";},','TestInlineBlock',364,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',7,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1585,'){',7,'styles[".typeset .',155,'"]=',7,1594,155,'"].replace(/',157,'/,',1583,');',7,1594,163,'"]=',7,1594,163,1600,157,'/,"");}',31,1583,'="',157,'";',1585,'=',7,1588,1589,'(!',1585,631,1583,'+=";',159,'";var h=',7,297,'("x").h;this.mozInlineBlockBug=',7,1588,'height:"+h+"px;width:1px',399,'>x"+"<',1555,1637,';vertical-align:-"+h+"px',399,'>").h>2*h;this.widthAddsBorder=',7,1588,159,';height:1px;width:10px',';border-left:','10px solid',399,'>").w>10;','this.msieBorderBug','=',7,1588,1637,399,'>x").h!=',7,1588,1637,1649,152,399,'>x").h;this.blankWidthBug=',1653,'||',7,1588,1556,'0px',399,'>").h==0;},','TestRenameOK',364,7,301,1553,1559,'_68=',7,1562,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',7,17,'getElementsByName("',1685,'").length>0);',7,301,1580,'TestStyleChange',364,7,301,1553,' ID=\\"',1685,'\\">x</span>";var _69=',7,1562,'var w=_69',304,';',7,374,1434,'({"#',1685,198,'200%"});this.',1438,'=(_69',304,'==w);',7,301,1580,'VersionAtLeast',291,'v',9,'bv',1235,'this.version',').split(".");','v',1235,'v',1729,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',364,7,29,'="unknown";this.',1581,465,1549,465,1675,465,1695,465,'MSIE',465,'Mozilla',465,'Opera',465,'OmniWeb',465,'Safari',465,'Konqueror','();if(','this.allowAbsoluteDelim','){',7,'Box.DelimExtend=',7,'Box.DelimExtendAbsolute;',7,'Box.Layout=',7,'Box.LayoutAbsolute;}',31,7,'Box.DelimExtend=',7,'Box.DelimExtendRelative;',7,'Box.Layout=',7,'Box.LayoutRelative;}if(','this.separateSkips','){',7,'HTML.Place=',7,'HTML.','PlaceSeparateSkips',';',7,'Typeset.prototype.','Place=',7,1787,1784,';}},MSIE',364,'if(',1564,'&&!',1572,'){',7,29,'="MSIE";',557,'platform=="','Win32"){',1759,'=1;',1778,'=1',';this.buttonCheck=1;this.',1108,'=1;this.msieDivWidthBug=1;this.',1102,846,'msieIntegralBug',846,'waitForImages',846,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1541,'="position:relative; ";this.',1543,'=" ',157,';";this.',1545,1553,1456,157,399,'>";',7,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',7,1594,'arial"]="font-family: \'Arial unicode MS\'";',7,'styles["#',167,'"]=',7,1839,167,1600,169,'/,"',232,'").',1214,181,'/,"");',7,1839,183,'"]=',7,1839,183,1600,169,'/,"',232,'").',1214,181,1852,7,'styles["#jsMath_button','"]="width:','1px; "+',7,1869,1600,169,'/,"',232,'").',1214,181,1852,7,1,'.onscroll=',7,543,'MoveButton;',7,1594,163,'"]=',7,1594,163,1600,157,1852,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1899,'!=',1901,300,'imgScale*=',1901,'/',1899,';',7,552,'alpha=0;}this.',352,'="<i>x</i>";',7,'EmBoxFor=',7,332,';}',31,557,1803,'MacPPC"){this.msieAbsoluteBug',846,'msieButtonBug',1811,1108,'=1;',7,'Setup.Script("',3,'-msie-mac.js");',7,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',7,1839,183,1870,'42em; "+',7,1839,183,1600,181,1852,7,552,'printwarn=0;}}',7,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',364,'if(',7,303,'.ATTRIBUTE_NODE){',7,29,'="Mozilla";',557,1803,'Win32"){',1819,';}',1759,'=1;',7,1869,'"]=',7,1869,1600,226,'/,"cursor:pointer");',7,1839,265,'"]=',7,1839,265,1600,226,'/,"cursor:pointer");',7,1952,'/}}");',557,'vendor=="Firefox"){',1728,'=',1285,'vendorSub;}',31,557,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1728,'=RegExp.$1;}}}},',1753,364,557,'accentColorName){',7,29,'="',1753,'";','this.allowAbsolute','=',1585,';',1759,'=',2011,';this.valignBug=!',2011,1809,1024,'=1;',7,'noChangeGlobal=1;',0,1585,'){',7,'Setup.Script("jsMath-old-browsers.js','");}}},Opera',364,'if(',1572,'){',7,29,'="Opera";var _6d=',1285,1998,'("Opera 7");',2011,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',7,2029,'");}}},Safari',364,557,'appVersion.match(/Safari\\//)){',7,29,'="Safari";var _6e=',1285,1998,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',484,7,1347,486,7,1347,'[i]&&',7,'TeX[',7,1347,'[i]]){',7,'TeX[',7,1347,'[i]].dh=0.1;}}',7,'TeX.axis_height+=0.05;',7,'TeX.default_rule_thickness+=0.025;',1759,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',846,1024,'=1',1809,1438,'=1;}},',1757,364,557,'product&&',1285,'product.match("',1757,'")){',7,29,'="',1757,'";',2011,'=0;',1759,'=0;',557,1998,'(/',1757,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1778,846,'valignBug=1;',7,2029,'");}}',7,'Add(',7,'styles,{".',162,100,101,'cmr10, jsMath cmr10',103,56,105,101,105,', ',3,' ',105,', ',3,'-',2119,56,113,101,113,', ',3,' ',113,', ',3,'-',2119,56,121,101,121,', ',3,' ',121,56,125,101,125,', ',3,' ',125,56,129,101,129,', ',3,' ',129,'"});',7,'Font.testFont','="',3,'-',129,', ',3,' ',129,'";}}};',7,'Font={testFont:"',3,'-',129,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',399,'></b><br/>"+"Using',2189,'.  This',2191,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2199,'Test1',291,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',7,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',7,'TeX[_70][n',1367,'var wh2=',7,2208,': serif\\">"+',7,'TeX[_70][n',1367,744,'wh1.w>_72*wh2','.w&&wh1.h!=0);},','Test2',291,'_76,n,_78,_79',2205,'_78==null){_78=2;}if(_79==null){_79="";}var wh1=',7,2208,': "+_79+_76+", serif\\">"+',7,'TeX[_76][n',1367,'var wh2=',7,2208,': serif\\">"+',7,'TeX[_76][n',1367,744,'wh2.w>_78*wh1',2222,'CheckTeX',364,'var wh=',7,2208,': "+',7,2171,'+", serif\\">"+',7,467,'1',1367,7,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',3,'-"));if(',7,'nofonts&&(',1285,'platform!="MacPPC"||',7,29,'!="Mozilla"||!',7,351,1722,'(1.5))){wh=',7,2208,': ',129,103,'\\">"+',7,467,'1',1367,7,2258,'"));',0,7,'nofonts){',7,1932,'jsM'],
  ['ath-BaKoMa-fonts.js");}}},Check',':function','(){var ','_7d=','jsMath.Controls.','cookie',';this.CheckTeX();if(','jsMath.','nofonts){if','(_7d.autofont','||','_7d.font=="','tex"){','_7d.font=this.fallback;if(_7d.warn){',7,'nofontMessage=1;_7d.warn=0;',4,'SetCookie','(0',');if(',7,'window.NoFontMessage','){',7,21,'();}else{','this.Message(this.','message);}}}}else{if',9,'){_7d.font="','tex";}if(',11,12,'return;}}if(',7,'noImgFonts',29,'unicode";}if(',11,'unicode"){','var _7e=({Win32:"pc",MacPPC:"mac"})[navigator.platform]||"unix";',7,'Setup.Script("jsMath-fallback','-"+_7e+".','js");jsMath.Box.TeXnonfallback=jsMath.Box.TeX;jsMath.Box.TeX=jsMath.Box.TeXfallback;return;}','if(!_7d.print&&_7d.printwarn){this.','PrintMessage','((',7,'Browser.','alphaPrintBug&&',4,5,'.alpha)?','this.print_message','+this.alpha_message:',54,');}if(',7,49,'waitForImages){',7,'Script.','Push(',7,'Script,"WaitForImage",',7,'blank',57,11,'symbol"){',7,42,'-symbols.',44,7,'Img.SetFont','({cmr10',':["all"],','cmmi10',78,'cmsy10',78,'cmex10',78,'cmbx10',78,'cmti10:["all"]});',7,'Img.LoadFont','("cm-fonts");},Message',1,'(_7f','){if(',7,'Element("','Warning','")){','return;}var ','div=',7,'Setup.DIV("',96,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7f+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',4,'Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',111,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',7,'Font.','HideMessage',109,'Remove this font warning message',112,'Hide this Message',114,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',118,1,2,'_81=',7,95,96,'");if(_81){_81','.style.display="none";}},',46,1,'(_82',93,7,95,'PrintWarning',97,98,'div=',7,101,141,103,105,'_82+"</',125,'Register',1,'(_84,_85',93,'typeof (_84)=="string"){_84={name:_84};}if(!',7,'Setup.inited','&&!_85){','this.register','[',160,'.length]=_84;',98,'_86=_84.name;var _87=_86.replace(/10$/,"");var _88=',7,'TeX.fam.length;if(','_84.prefix','==null){',168,'="";}if(!_84.style){_84.style="font-family: "+',168,'+_86+", serif";}if(!','_84.styles','){',174,'={};}','if(!','_84.macros','){',179,177,7,'TeX.fam[_88]=_86;',7,'TeX.famName[_86]=_88;',179,'[_87]=["HandleFont",_88];',7,'Add(',7,'Parser.prototype.macros,',179,');',174,'[".typeset ."+_86]=_84.style;',7,'Setup.Styles(',174,19,7,'initialized){',7,62,'Push(',7,'Setup,"TeXfont",_86);}var _89=!',7,'nofonts&&_84.test(_86,_84.testChar,_84.testFactor,',168,19,'_89&&',4,'cookie.font=="',12,'if(_84.tex){_84.tex(_86,_88,_84);}return;}if(!_89&&',4,5,'.warn&&',4,214,'tex"&&!',7,8,'(!',7,95,96,97,26,'extra_message);}var _8a=',7,95,'ExtraFonts");if(_8a',93,'_8a.innerHTML','!=""){',236,'+=",";}',236,'+=" "+',168,'+_86;}}if(',4,214,39,'if(_84.fallback){_84.fallback(_86,_88,_84);}',98,'_8b={};_8b[_86]=["all"];',7,76,'(_8b);',7,89,'(_86',19,7,'initialized){',7,62,'Push(',7,'Img,"Scale");',7,62,'Push(',7,'Img,"UpdateFonts");}},LoadRegistered',1,2,'i=0;while(i<',160,'.length){this.',152,'(',160,'[i++],1);}',160,'=[];},Load',1,'(_8d){',7,'Setup.Script(this.URL(_8d));},URL',1,'(_8e){return ',7,'Img.root+_8e+"/def.js";}};',7,'Controls={',5,':{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',1,'(){this.panel=',7,101,'panel",{display:"none"});if(!',7,49,'msieButtonBug){this.Button',25,'setTimeout("',4,'Button()",500);}},',108,1,'(){',7,'Translate.Cancel();if(this.loaded){this.Main',25,7,62,'delayedLoad(',7,'root+"jsMath-controls.html");}},Button',1,2,'_8f=',7,101,'button",{});_8f.title=" Open ',111,' ";_8f.innerHTML="<span onclick=\\"',4,108,'()\\">jsMath</span>";if(!',7,'Global.','isLocal&&!',7,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',108,' \\" "+"onclick=\\"',7,329,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}if(!','this.cookie','.button){_8f',134,'MoveButton',1,'(){if(!this.button){this.button=',7,95,'button");}','this.button.style.visibility="','hidden";',347,'visible";},GetCookie',1,'(){if(','this.defaults',169,353,177,7,190,353,',',338,');this.userSet={};var _90=',7,'document.cookie',';if(',7,'window.location','.protocol.match(this.',292,')){_90=this.','localGetCookie','();','this.isLocalCookie','=1;}if(_90.match(/jsMath=([^;]+)/)){var _91=unescape(RegExp.$1).split(/,/);for(var i=0;i<_91.length;i++){var x=_91[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',338,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',371,1,'(){return ',7,367,'.search.substr(1);},',17,1,'(_94){var _95=[];','for(var id in ',338,93,353,'[id]==null||',338,'[id]!=',353,'[id]){_95[_95.length]=id+":"+',338,'[id];}}_95=_95.join(",");if(',373,93,'_94==2){return "','jsMath="+escape(','_95);}this.','localSetCookie','(_95,_94);}else{_95=escape(_95',19,'_95==""){_94=0;}if(','this.cookiePath','){_95+="; ','path="+',406,';}if(','this.cookieDomain',407,'domain="+',411,';}if(',338,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',418,'*7,M',418,'*30,Y',418,'*365};var exp=new Date;exp.setTime(exp.getTime()+',338,'.keep.substr(','0,1)*ms[',338,427,'1,1)]);_95+="; expires="+exp.toGMTString();}if(_95!=""){',7,364,'="jsMath="+_95;var _99=',7,364,';if(_94&&!_99.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',402,1,'(_9a,_9b){if(!_9b){',98,'_9c=String(',7,367,').replace(/\\?.*/,"");if(_9a!=""){_9c+="?',400,'_9a',57,'_9c!=',7,367,'.href){this.Reload(_9c);}},Reload',1,'(url){if(!this.loaded){return;}this.loaded=0;',7,158,'=-100;',7,329,'ClearCache();if(url){',7,367,'.replace(url);}else{',7,367,'.reload();}}};',7,'Click={CheckClick',1,'(_9e){if(!_9e){_9e=',7,'window.event;}if','(_9e.altKey){',4,108,'();}},CheckDblClick',1,'(_9f){if(!_9f){_9f=',7,472,'(!',7,'Click.DblClick){',7,'Extension.Require("double-click",1);var _a0=_9f;_9f={};',386,'_a0){_9f[id]=_a0[id];}}',7,62,'Push(',7,'Click,"DblClick",[_9f,this.alt]);}};',7,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',495,'778',495,'694',495,'667',495,'75',495,'722',495,'778',495,'722',495,'778',495,'722',495,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',521,'833',521,'833',521,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',521,'5',521,'5,0.628],[0.5',521,'5,0.568],[0.75',521,'444,0,0.17],[0.5',521,'722',529,'778',529,'5,0.528,0.0972],[0.903,0.683],[1.01',495,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',549,',0.694,0,{lig:{"96":','60}}],[0.5',521,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',560,'778',521,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',570,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',531,'333',550,'lig:{"45":','123}}],[',575,'],[0.5',570,'5,0.644','],[0.5,0.644],[0.5,0.','644',585,'644',585,'644',585,'644],[0.5,0.644],[',549,529,'278,0.431',531,'278,0.5',531,'778',',0.367,-0.133],[','0.472,0.5',531,'472',554,'62}}],[0.778',521,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',610,'79',610,'71',610,'85',610,'81',610,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',495,'722',495,'764',608,'88',610,'87',610,'65',610,'86',610,'89":-','0.0278}}],[0.','681',495,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',495,'75',495,'361',608,'73":',637,'514',495,'778',608,'79',610,'67',610,'71',610,'81":-',637,'625',608,621,'917',495,'75',495,'778',608,'88',610,'87',610,'65',610,'86',610,'89":-',637,'681',608,'65','":-0.0833,"','111',610,'101',610,'97',610,'46',685,'44":-0.','0833}}],[0.','778,0.683',531,'736',608,'116',610,'67',610,'79',610,'71',610,'85',610,'81',610,621,'556',495,'722',608,'121',610,'101',685,'111',685,'114',685,'97',685,'65',685,'117":-0.',695,'75',495,'75',',0.683,0,{ic:0.','0139,',642,'1.03',734,'0139,',642,'0.75',608,'79',610,'67',610,'71',610,'81":-',637,'75',734,'025,krn:{"101',685,'111',685,'114',685,'97',685,'65',685,729,695,'611',495,'278',570,'5',521,'278',570,'5',521,'278,0.668],[0.','278',554,'92}}],[0.5',550,'krn:{"118',610,'106":0.0556,"121',610,'119":-',637,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',550,'krn:{"104',610,'107":-',637,'556',521,'444',529,'306',517,518,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',637,'556',566,'116',610,'117',610,'98',610,'121',610,'118',610,'119":-',637,775,'306,0.668',531,'528',566,'97','":-0.0556,"','101',610,'97',610,'111',610,'99":-',637,'278',521,'833',550,'krn:{"116',610,'117',610,'98',610,'121',610,'118',610,'119":-',637,'556',550,'krn:{"116',610,'117',610,'98',610,'121',610,'118',610,'119":-',637,'5,0.431',',0',788,786,'431,0.194',788,'528,0.431',531,'392',529,'394',529,'389,0.615,0,{krn:{"121',610,'119":-',637,'556',550,'krn:{"119":-',637,'528',',0.431,0,{ic:0.',805,'97',828,'101',610,'97',610,'111',610,'99":-',637,'722',888,805,'101',610,'97',610,'111',610,'99":-',637,'528',529,'528',803,'ic:0.',805,'111',610,'101',610,'97',610,'46',685,'44":-0.',695,'444',529,'5',888,'0278,',579,'124}}],[1',888,'0278}],[0.','5',521,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',734,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',695,'833',608,'127":0.167}}],[0.','763',734,931,'krn:{"127":0.0833}}],[0.','694',608,945,'742',734,'0757,',949,'831',734,'0812,krn:{"61',828,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',734,'0576,',949,'583',734,'139',941,962,'667',641,949,'612',734,'11,krn:{"61',828,961,962,'772',734,'0502,',949,'64',888,'0037,','krn:{"127":',637,'566',',0.694,0.194,{ic:0.','0528,',949,'518',803,'ic:0.0556}],[0.444',517,'0378,krn:{"',961,962,'406',550,'krn:{"127":0.0556}}],[0.','438',991,'0738,',949,'497',803,'ic:0.0359',',',1003,'469',517,931,949,'354',550,1003,'576',529,'583',521,'603',803,988,637,'494',888,'0637,krn:{"',961,'0278}}],[0.','438',991,'046,',988,'0.111}}],[0.','57',888,'0359}],[0.','517',803,949,'571',888,'0359,krn:{"59',828,'58":-0.',962,'437',888,'113,krn:{"',961,1032,'54',888,'0359,',988,637,'596,0.694,0.194,{',949,'626',803,1003,'651',991,'0359,',988,1037,'622',888,1040,'466',550,949,'591',',0.694,0,{',949,'828',888,935,'517',803,949,'363,0.431,0.0972,{ic:0.0799,',949,'654',803,988,'0.0833}}],[1',600,'1',600,'1',600,'1',600,549,',0.464,-0.0363],[',549,1099,'0.5,0.465,-0.0347],[',1102,'0.5',529,'5',529,'5',529,867,531,867,531,867,',0.194',585,871,585,'431',531,'278,0.106],[',575,531,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',828,'65',828,'77',828,'78',828,'89":0.0556,"90":-0.',962,'778',1125,1102,'0.531',517,'0556,',949,'75',608,'127":','0.','139}}],[0.','759',734,'0502,',949,'715',734,'0715,krn:{"61',610,961,695,'828',734,931,1003,'738',734,'0576,',949,'643',734,'139',941,695,'786',641,949,'831',734,'0812,krn:{"61',828,961,962,'44',734,'0785,',988,1037,'555',734,'0962',941,'167}}],[0.','849',734,'0715,krn:{"61',828,961,962,'681',608,1145,637,'97',734,'109,krn:{"','61',828,961,695,'803',734,1202,'61',685,'61',610,961,695,'763',734,931,949,'642',734,'139',941,695,'791,0.683,0.194,{',949,'759',734,'00773,',949,'613',734,'0576,krn:{"61',828,961,695,'584',734,'139,krn:{"61',610,961,695,'683',734,1202,'59":-0.111,"',1048,'111,"61',828,1145,637,'583',734,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',734,'139',1255,'828',734,'0785,krn:{"61',685,'61',610,961,695,'581',734,'222',1255,'683',734,'0715,krn:{"61',828,961,695,'389,0.75],[0.389',558,'0.389',558,'1,0.358,-0.142],[',1282,'0.417',1077,988,1037,'529',529,'429',521,'433',550,1003,'52',566,'89":0.0556,"90',828,'106":-0.111,"102":-0.167,"',945,'466',550,1003,'49',991,'108,krn:{"',961,1189,'477',803,1010,',',988,637,'576',566,'127":-',637,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',828,1048,962,'521',517,'0315}],[0.298',517,'0197,',949,'878',529,'6',529,'485',550,1003,'503',803,949,'446',803,1010,',',949,'451',888,931,'krn:{"',961,962,'469',550,1003,'361,0.615,0,{',949,'572',550,988,637,'485',888,'0359,',988,637,'716',888,'0269,',949,'572',550,988,637,'49',803,1010,',',1003,'465',888,'044,',1003,'322',550,988,637,'384',803,949,'636',803,988,1037,'5,0.714,0,{ic:0.154}],[',549,517,'399}]],cmsy10:[[',574,549,',0.444,-0.0556],[',574,1102,574,'0.5,0.444,-0.0556],[',574,574,574,574,574,574,574,'1',558,1402,1402,'0.778',1099,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1417,1417,1417,1417,1417,'],[0.778',600,'0.778,0.483,-0.0169],[0.778',1125,'0.778',1125,'1',1125,'1',1125,'0.778',1125,'0.778',1125,'1',600,'1',600,'0.5',558,'0.5',558,'1',600,'1',558,'1',558,'0.778',1099,'1',600,'1',600,'0.611',558,'0.611',558,'1',600,'1',558,'1',558,'0.778',529,'275,0.556],[1',529,'667',1125,'0.667',1125,'0.889',558,'0.889',558,'0',558,'0',600,'0.556',521,'556',521,'667',529,'5',560,'722',521,'722',521,'778',521,'778',521,'611',521,'798',608,'48":0.','194}}],[0.657',734,'0304',',krn:{"48":0.',1147,'527',734,'0583',1507,1147,'771',734,'0278',1507,695,'528',734,'0894',1507,'111}}],[0.','719',734,'0993',1507,1523,'595',',0.683,0.0972,{ic:0.','0593',1507,1523,'845',734,'00965',1507,1523,'545',734,'0738,krn:{"48":',637,'678',1530,'185',1507,1189,'762',734,'0144',1507,962,'69',608,1503,'139}}],[1.2',608,1503,1147,'82',734,'147',1507,695,'796',734,1516,1507,1523,'696',734,'0822',1507,695,'817,0.683,0.0972,{krn:{"48":',1037,'848',608,1503,695,'606',734,'075',1507,1147,'545',734,'254,krn:{"48":',637,'626',734,'0993',1507,695,'613',734,'0822,krn:{"48":',637,'988',734,'0822',1507,695,'713',734,'146',1507,1147,'668',1530,'0822',1507,695,'725',734,'0794',1507,1147,'667,0.556],[0.',1619,1619,1619,1619,'611',521,'611',521,'444',570,'444',570,'444',570,'444',570,'5',570,'5',570,'389',570,'389',570,'278',570,'5',570,'5',570,'611',570,'5',570,'278',558,'0.833,0.04,0.96],[0.75',495,'833',495,'417',991,'111}],[0.',1619,'667,0.556',1417,1417,'],[0.444',558,'0.444',558,'0.444',558,'0.611',558,'0.778,0.694,0.13','],[',1675,'],[',1675,'],[',1675,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1683,'17}],[0.417',1683,'104}],[0.417',1683,'105}],[0.','472',1683,'106}],[0.472',1683,'107}],[0.472',1683,'108}],[0.472',1683,'109}],[0.583',1683,'110}],[0.583',1683,1662,'472',1683,'68}],[0.472',1683,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1709,'rep:13}}],[0.578',1683,'46}],[0.578',1683,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1717,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1721,'33}],[0.528',1721,'34}],[0.528',1721,'35}],[0.583',1721,'36}],[0.583',1721,'37}],[0.583',1721,'38}],[0.583',1721,'39}],[0.75',1721,'40}],[0.75',1721,'41}],[0.75',1721,'42}],[0.75',1721,'43}],[1.04',1721,'44}],[1.04',1721,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1749,'49}],[0.583',1749,'50}],[0.583',1749,'51}],[0.639',1749,'52}],[0.639',1749,'53}],[0.639',1749,'54}],[0.639',1749,'55}],[0.806',1749,'56}],[0.806',1749,'57}],[0.806',',0.04,2.96],[','0.806',1769,'1.28',1769,'1.28',1769,'0.811',1717,'30}],[0.811',1717,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1781,'49,bot:65,','rep:67}}],[0.','667',1781,'50,bot:52,rep:54}}],[0.667',1781,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1791,'53,rep:55}}],[0.667',1709,'top:50,rep:54}}],[0.667',1709,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1799,'57,mid:61,bot:59,rep:62',1799,'56,bot:58,rep:62',1799,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1807,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1709,'top:120,','bot:121,rep:63}}],[0.','875',1781,'56,bot:59,',1811,'875',1781,'57,bot:58,',1811,'875',1709,'rep:66}}],[0.875',1709,1785,'611',1717,'28}],[0.611',1717,'29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1841,',1,{n:79}],[1.51',1836,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1837,'90',1834,'91',1834,'92',1834,'93',1834,'94',1834,'95}],[1.44',1836,'1.28',1836,1839,1841,1841,1841,1841,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1836,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1869,'102',1871,'103}],[1.44,0.75],[0.472',1717,'20}],[0.472',1717,'21}],[0.528',1717,'22}],[0.528',1717,'23}],[0.528',1717,'24}],[0.528',1717,'25}],[0.667',1717,'26}],[0.667',1717,'27}],[1',1683,'113}],[1',1717,'114}],[1',1721,'115}],[1',1749,'116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1709,'top:126,','bot:127,rep:119','}}],[0.667',1709,1814,'rep:63}}],[0.667',1709,1815,'45,0.12],[0.',1910,1910,1910,'778',1709,1902,'rep:119}}],[0.778',1709,1903,'}}]],cmti10:[[0.627',734,'133}],[0.818',495,'767',734,'094}],[0.692',495,'664',734,'153}],[0.743',734,'164}],[0.716',734,'12}],[0.','767',734,1662,'716',734,'0599}],[0.767',734,1662,'716',734,'103}],[0.','613',991,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',519,'562',991,1945,'588',991,1945,'882',991,1945,'894',991,1945,'307',888,'0767}],[0.332',803,'ic:0.0374}],[0.511',521,'511',517,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',517,'108',1971,'562,0,{ic:0.',1945,'831',521,'46,0,0.17],[0.537',991,1690,'716',888,'0751}],[0.716',888,'0751',1971,'528,0.0972,{ic:0.0919}],[0.883',734,1934,'985',734,1934,'767,0.732,0.0486,{ic:0.094}],[0.256',550,551,'256,"76":-0.321}}],[0.307',517,'124,lig:{"96":60}}],[0.514',517,'0696}],[0.818',991,'0662}],[0.769',521,'818,0.75,0.0556',',{ic:0.136}],[0.','767',517,'0969}],[0.307',517,'124,krn:{"63":0.102,"33":0.102',568,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',1971,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',531,'358',888,'0283,',579,'123}}],[0.307,0.106],[0.511',2015,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2027,2027,2027,'.194',2027,2027,2027,'.194',2027,2027,2007,'307',888,'0582}],[0.307',803,'ic:0.0582}],[0.307,0.5,0.194,{ic:0.0756}],[0.767,0.367,-0.133,{ic:0.0662',1971,'5',531,'511',517,'122,lig:{"96":62}}],[0.767',517,'096}],[0.743',608,'110','":-0.0256,"','108',2054,'114',2054,'117',2054,'109',2054,'116',2054,'105',2054,'67',2054,'79',2054,'71',2054,'104',2054,'98',2054,'85',2054,'107',2054,'118',2054,'119',2054,'81',2054,'84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',734,1945,'716',734,'145}],[0.755',734,'094,krn:{"88',2054,'87',2054,'65',2054,'86',2054,'89":-0.0256}}],[0.678',734,1934,'653',734,'133,krn:{"111','":-0.0767,"','101',2109,729,'0767,"114',2109,'97',2109,'65":-0.102,"79',2054,'67',2054,'71',2054,'81":-0.0256}}],[0.','774',734,'0872}],[0.743',734,'164}],[0.386',734,'158}],[0.525',734,'14}],[0.769',734,'145,krn:{"79',2054,'67',2054,'71',2054,2123,'627',608,2087,'897,0'],
  ['.683',',0,{ic:0.','164}],[0.','743,0.683',1,2,'767,0.683',1,'094',',krn:{"','88','":-0.0256,"','87',11,'65',11,'86',11,'89','":-0.0256}}],[0.','678,0.683',1,'103',9,'65":-0.0767}}],[0.','767,0.683',',0.194,{ic:0.','094}],[0.729,0.683',1,'0387',9,'110',11,'108',11,'114',11,'117',11,'109',11,'116',11,'105',11,'67',11,'79',11,'71',11,'104',11,'98',11,'85',11,'107',11,'118',11,'119',11,'81',11,'84','":-0.0767,"','89',66,'86','":-0.102,"','87',70,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','562,0.683',1,'12}],[0.','716,0.683',1,'133',9,'121',66,'101":-0.0767,"111":-0.0767,"114":-0.0767,"97":-0.0767,"117":-0.0767,"65":-0.0767}}],[0.','743,0.683',1,2,'743,0.683',1,'184',9,'111',66,'101',66,'117',66,'114',66,'97',66,'65',70,'79',11,'67',11,'71',11,'81',19,'999,0.683',1,'184',9,24,'743,0.683',1,'158',9,'79',11,'67',11,'71',11,'81',19,'743,0.683',1,'194',9,83,'613,0.683',1,'145','}],[0.307,0.','75,0.25',',{ic:0.188}],[0.514',',0.694',1,'169',136,137,',{ic:0.105','}],[0.511,0.','694',1,'0665',136,'668',1,'118',136,'694',1,'124,lig:{"96":92}}],[0.511,0.431',1,'0767}],[0.','46',139,1,'0631',9,73,'46,0.','431',1,'0565',9,73,'511',139,1,'103',9,'108":0.0511}}],[0.',165,'431',1,'0751',9,73,'307',139,26,'212',9,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.',165,'431',26,'0885',145,'694',1,'0767',136,'655',1,'102',136,'655',26,'145}],[0.46',139,1,'108}],[0.','256',139,1,'103',9,176,'818,0.431',1,158,'562,0.431',1,197,9,'39":-0.102}}],[0.511,0.431',1,'0631',9,73,'511,0.431',26,'0631',9,73,165,'431',26,'0885}],[0.','422,0.431',1,'108',9,73,'409,0.431',1,'0821}],[0.332,0.615',1,'0949}],[0.537,0.431',1,158,165,'431',1,208,'664,0.431',1,'108',9,176,'464,0.431',1,76,'486,0.431',26,235,'409,0.431',1,'123',145,'431',1,'0921',',lig:{"45":124}}],[1.','02,0.431',1,269,145,'694',1,'122',145,'668',1,'116',145,'668',1,'105}]],cmbx10:[[0.692',',0.686],[0.','958',286,'894',286,'806',286,'767',286,'9',286,'831',286,'894',286,'831',286,'894',286,'831',286,'671',139,1,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',312,'958',312,'958',312,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',323,'694',323,'632',323,'694',323,'596],[0.869',312,'511,0,0.17],[0.597',312,'831',320,'894,0.444',323,'542,0.0972],[1.04,0.686],[1.17',286,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',312,'958',139,',0.194',323,'75,0.0556],[0.','958,0.',352,'894',312,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447,0.',137,'],[0.447,0.',137,323,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123}}],[',365,323,137,323,'644',323,'644',323,'644',323,'644',323,'644',323,'644',323,'644',323,'644',323,'644',323,'644],[0.319',320,'319',322,'],[0.35,0.5',366,'894,0.391,-0.109],[0.543,0.5',366,'543',345,'62}}],[0.894',312,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',405,'79',405,'71',405,'85',405,'81',405,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',286,'831',286,'882',403,'88',405,'87',405,'65',405,'86',405,'89','":-0.0319}}],[0.','756',286,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',286,'9',286,'436',403,'73','":0.0319}}],[0.','594',286,'901',403,'79',405,'67',405,'71',405,'81',432,'692',403,416,'1.09',286,'9',286,'864',403,'88',405,'87',405,'65',405,'86',405,'89',432,'786',403,'65":-0.0958,"111',405,'101',405,'97',405,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',366,'862',403,'116',405,'67',405,'79',405,'71',405,'85',405,'81',405,416,'0.639',286,'8',403,'121',405,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',286,'869,0.686',1,'016,',436,'1.19,0.686',1,'016,',436,'0.869',403,'79',405,'67',405,'71',405,'81',432,'869,0.686',1,'0287',9,508,'703',286,'319,0.',137,'],[0.603',312,536,137,323,'694],[0.319',312,'319',345,'92}}],[0.559',343,'118',405,'106":0.0639,"121',405,'119',432,'639',139,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',343,'104',405,'107',432,'639',312,'527',320,'351',139,1,310,189,'575,0.444',26,'016',9,'106',444,'639',358,'116',405,'117',405,'98',405,'121',405,'118',405,'119',432,'319',312,'351',139,366,'607',358,'97":-0.0639,"101',405,'97',405,'111',405,'99',432,'319',312,'958',343,'116',405,'117',405,'98',405,'121',405,'118',405,'119',432,'639',343,'116',405,'117',405,'98',405,'121',405,'118',405,'119',432,'575,0.444,0',558,'639',322,558,'607',322,'],[0.474',320,'454',320,'447,0.635,0,{krn:{"121',405,'119',432,'639',343,'119',432,'607,0.444',1,'016',9,'97":-0.0639,"101',405,'97',405,'111',405,'99',432,'831,0.444',1,'016',9,'101',405,'97',405,'111',405,'99',432,'607',320,658,26,'016',9,'111',405,'101',405,'97',405,484,'511,0.444',323,'444',1,'0319',270,'15,0.444',1,'0319}],[0.575',139,323,'694',323,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a2){for(var _a3 in _a2){if(!','this.update[_a3',']){',713,']=[];}',713,']=',713,'].concat(_a2[_a3]);}},AddFont',711,'_a4,def){if(!',709,'[_a4]){',709,'[_a4]={};}','jsMath.Add(jsMath.','Img[_a4],def);},UpdateFonts',':function(){','var _a6=this.update;','if(!this.loaded){','return;}var ','_a7=this[','jsMath.Img.fonts','[this.best]];','for(var _a8 in _a6){','for(var i=0;i<','_a6[_a8].length;i++){var c=_a6[_a8][i];if(c=="all"){for(c in ','jsMath.TeX[','_a8]){',739,'_a8][c].img','={};}}else{',739,742,'={};}}}this.update={};},BestSize',729,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',749,'i]]+2*m)/3){','return ','i-1;}m=',749,'i]];}',756,'i-1;},Scale',729,731,'return;}this.best=this.BestSize();this.em=',709,'.w[',751,735,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',769,'-1)<0.12){',769,'=1;}},URL',711,'_ae,_af,C){var _b1=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_af!=""){_af+="/";}','return this.','root+_ae+_b1+_af+C;},LoadFont',711,'_b2){',731,'this.Init();}jsMath.Setup.Script(this.URL(_b2,""));},Init',729,'if(',778,'print||',778,'stayhires','){',778,'print=',778,791,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',798,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',778,'alpha=0;}}var _b3="0123456789ABCDEF";this.HexCode=[];',737,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b3.charAt(h)+_b3.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',711,'m){var n=5;if(m<0){n++;}',771,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',756,'s+"em";},Spacer',711,'w){if(w==0){return "";}',756,802,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',711,'w,h,d,_be){var _bf="";var _c0="";if(_be){_c0+="border-',820,'w)+" solid;";if(',802,'widthAddsBorder){w=0;}}if(w==0){if(',802,'blankWidthBug){_c0+="width:1px;";_bf="<',819,'right:-1px\\"></span>";}}else{_c0+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_be&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c0+="height:"+H+";";}if(',802,'mozInlineBlockBug){d=-h;}if(',802,'msieBorderBug&&!_be){d-=jsMath.d;}if(d){_c0+="','vertical-align:"+','this.Em(-d);}',756,'_bf+"<span class=\\"blank\\" ','style=\\""+','_c0+"\\"></span>";},Rule',711,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',780,'Blank(w,h,0,1);},Class',711,'_c4,_c5){return "<span class=\\""+_c4+"\\">"+_c5+"</span>";},Place',711,'_c6',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c9','="<span style=\\"position',': relative',';";if(x){_c9+=" margin-',820,'x)+";";}if(y){_c9+=" ','top:"+this.Em','(-y)+";";}_c6=_c9+"\\">"+_c6','+"</span>";}',756,'_c6;},PlaceSeparateSkips',711,'_ca',850,'if(y){_ca',852,853,'; ',857,'(-y)+";"+"\\">"+_ca',859,'if(x){_ca=this.Spacer(x)+_ca',';}return ','_ca;},PlaceAbsolute',711,'_cd',850,'_cd',852,':absolute','; ',820,'x)+"; "+"',857,'(y)+";\\">"+_cd+"&nbsp;</span>";',756,'_cd;},Absolute',711,'_d0,w,h,d,y,H){if(y!="none"){',771,'y)<0.0001){y=0;}_d0',852,880,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d0','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d0+=this.Blank(w,h-d,d);if(',802,'msieAbsoluteBug){_d0',852,':relative',897,859,'_d0',852,902,';"+" width: "+',895,'Em(w)+";"+" height: "+',895,'Em(H)+";"+',802,'msieInlineBlockFix+"\\">"+_d0+"</span>";',756,'_d0;}};','jsMath.Box','=function(','_d6,_d7,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d7;this.format=_d6;};',727,'Box,{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',711,'_db,_dc,_dd,_de,a,d){var _e1=','jsMath.Typeset.AddClass(','_dc,_db);_e1=','jsMath.Typeset.','AddStyle(','_dd,_de,_e1);var BB','=jsMath.EmBoxFor(','_e1);var TeX=',930,'TeX(_dd,_de);var bd=((_dc=="cmsy10"||_dc=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',924,'text",_db,BB.w,BB.h-bd,bd);box.style=_dd;box.size=_de;','box.tclass','=_dc;if(d!=null){box.d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',711,'C,_e7,_e8,_e9){var c=',739,'_e7][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e7,C,',930,'StyleSize(_e8,_e9));}var _eb=',930,'TeX(_e8,_e9).scale;var h=c.h+',739,'_e7].dh;',937,924,'text",c.c,c.w*_eb,h*_eb,c.d*_eb);box.style=_e8;box.size=_e9;if(c.tclass){',940,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_eb*jsMath.h;box.bd=_eb*jsMath.d;}}else{',940,'=_e7;box.bh=_eb*',739,'_e7].h;box.bd=_eb*',739,'_e7].d;if(',802,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',944,'TeXfallback',711,'C,_ef,_f0,_f1','){var c=',739,'_ef][C];if(!c.tclass){c.tclass=_ef',954,'){',780,'TeXnonfallback(',979,');}if(c.h!=null&&c.a',952,'a=c.h-1.1*jsMath.TeX.x_height;}var a=c.a;var d=c.d;',937,'this.Text(c.c,c.tclass,_f0,_f1,a,d);var _f6=',930,'TeX(_f0,_f1).scale;if(c.bh!=null){box.bh=c.bh*_f6;box.bd=c.bd*_f6;}else{var h=box.bd+box.bh;var _f8=',928,940,',box.html);_f8=',930,931,'_f0,_f1,_f8);box.bd',933,'_f8+',895,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f6==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',974,'>";}',944,'TeXIMG',711,'_f9,C,_fb){var c=',739,'_f9][C];if(c.img.size!=null&&c.img.size==_fb&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',732,'_fd=(',709,'.scale!=1);var id=',1013,'+_fb-4;if(id<0){id=0;_fd=1;}else{if(id>=',734,'.length){','id=',734,'.length-1',';_fd=1;}}var _ff=',709,'[',734,'[id]];var img=_ff[_f9][C];var _101=1/',709,'.w[',734,'[id]];if(id!=',1013,'+_fb-4){if(c.w!=null){_101=c.w/img[0];}else{_101*=',734,'[_fb]/',734,'[4]*',734,'[',1013,']/',734,'[id];}}var w=img[0]*_101;var h=img[1]*_101;var d=-img[2]*_101;var v;var _106=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',895,'Em(c.w-w)+";";var _107="";C=',709,'.HexCode[C];if(!_fd&&!',778,'scaleImg){if(2*w<h||(',802,'msieAlphaBug&&',778,'alpha)){_107="height',':"+(img[1]*',802,'imgScale',')+"px;";}_107+=" width:"+(img[0]*',802,1059,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',802,'msieAlphaBug&&',778,1056,':"+',895,'Em(h*',802,1059,')+";";}_107+=" width:"+',895,'Em(w*',802,1059,')+";";v=',895,'Em(d);}var _108=(Math.abs(d)<0.01&&!',802,'valignBug)?"":" ',836,'v+";";var URL=',709,'.URL(_f9,',734,'[id],C);if(',802,'msieAlphaBug&&',778,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',840,802,'msieCenterBugFix+_107+_108+_106','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1093,'URL+"\\" ',840,802,1097,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_fb;c.img.best=',1013,';},Space',711,'w){',756,924,'html",',895,'Spacer(w),w,0,0);},Rule',711,843,'var html=',895,'Rule(w,h);',756,924,'html",html,w',',h,0);},GetChar',711,'code,font){var c=',739,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',952,'tclass=font;}if(!c.computedW){c.w',933,928,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',950,'c.computedW=1',873,'c;},DelimBestFit',711,'H,c,font,','_114){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_114.charAt(1)=="S");var isS=(_114.charAt(0)=="S");while(c!=null){C=',739,'font][c];','if(C.h==null){C',1135,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1153,',"SS",0.5*h];}if(isS&&0.7*h>=H',1153,',"S",0.7*h];}if(h>=H||C.n==null',1153,',"T",h];}c=C.n',873,'null;},DelimExtendRelative',711,1141,'a,_11d){var C=',739,1149,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',928,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1173,')));H=2*n*(',1173,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1177,');if(_11d){y','=0;}else{','y=H/2+a;}var Y=y;',1116,895,'Place(',928,'top.tclass,top.c),0,','y-top.h)+',895,1191,928,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',895,1191,928,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',737,'n;i++){','html+=',895,1191,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1173,'));if(top.h+top.d<0.9*(',1173,')){n=Math.max(1,n);}H=n*(',1173,1182,1177,');if(_11d){y',1187,'y=H/2+a;}var Y=y;',1116,895,1191,928,1193,'y-top.h);dx=(w-top',1205,1209,895,1191,928,1198,'w+bot.w)/2,Y-(H-bot.d));}if(_11d){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',711,1141,'a,_136){var Font=',739,1146,'C=Font[c];var html;',1168,1175,'-0.05)-(',1177,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1252,1182,1183,'-0.05)+(',1177,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',928,1193,'0);var h=',1252,';var y=top.d-0.05+rep.h;var ext=',928,'font,rep.c);',737,'n;i++){',1209,1260,'ext,0,y+i*h);}',1209,1260,928,1203,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1183,'-0.05;',737,'n;i++){',1209,1260,'ext,0,y+i*h);}',1209,1260,928,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1213,1250,1252,'));H=n*(',1252,1182,1177,'-0.05);html=',1260,928,1193,'0);var h=',1252,';var y=top.d-0.05+rep.h;var ext=',928,1171,737,'n;i++){',1209,1260,'ext,0,y+i*h);}',1209,1260,928,1288,'var w=top.w;if(_136){h=top.h;y',1187,'h=H/2+a;y=h-top.h;}html=',895,'Absolute(html,w,','Font.h,"none",-y,top.h);',1238,'Delimiter',711,'H,_14c,_14d,_14e){var size=4;var TeX=',930,'TeX(_14d,size);if(!_14c){',780,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_14c[','2],_14c[1],_14d);if(CFSH==null||CFSH[3]<H){',1329,'4],_14c[3],_14d);}if(CFSH==null){',780,1327,'if(CFSH[2]==""){',780,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_14e);}',937,917,'.TeX(',1338,'CFSH[2],size',').Styled();if(_14e){box.y=-',739,'CFSH[1]].dh',942,'y=-((box.h+box.d)/2-box.d-',1339,');}',771,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1345,');}',944,'GetCharCode',711,'code){var ',1145,'code[0]];var Font=',739,1146,'c=Font[code[1]];',1127,'[1],4);}if(c.w',952,'w',933,928,1133,';}if(c.font',952,'font=font',873,'c;},AddClass',711,'_157,html',',font){if(_157==null){_157=font',873,928,1381,');},LayoutRelative',711,'size,_15b,_15c,_15d,_15e,_15f){if(_15c==null){_15c=[];}if(_15d==null){_15d=[];}if(_15e==null){_15e=[];}var _160=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_164=-1000;var bh=_164;var bd=_164',';var i;var j;var row;for(i=0;i<','_15b',752,'if(_15e[i]==null){_15e[i]=0;}row=_15b','[i];H[i]=jsMath.h*','_160',';D[i]=jsMath.d*','_160',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_15e[_15b','.length]==null){','_15e[_15b.length]=0;}if(bh==_164){bh=0;}if(bd==_164){bd=0;}','var HD=(jsMath.hd-0.01)*','_160;var dy=(_15f||1)*_160/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _173;var _174',';for(j=0;j<W.length;j++){','_173=[];y=-H[0]-_15e[0];pW=0;for(i=0;i<_15b',752,'_174=_15b[i][j];if(_174&&_174.format!="null"){','if(_15c[j]=="','l"){w',1187,1412,'r"){w=W[j]-_174.w;}else{w=(W[j]-_174.w)/2;}}_174.x=w-pW;pW=_174.w+w;_174.y=y;_173[_173.length]=_174;}if(i+1<_15b',1022,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_15e[i+1];}}if(_15d[j]==null){_15d[j]=_160;}if(_173.length>0',1355,'(_173,"T",size);',1209,895,1191,'box.html,cW,0);cW=W[j]-box.w+_15d[j];}else{cW+=_15d[j];}}w=-_15d[W',1025,'];y=(H',1025,')*dy+_15e[0];for(i=0;i<W',752,'w+=W[i]+_15d[i];}for(i=0;i<H',752,'y+=Math.max(HD,H[i]+D[i])+','_15e','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1209,895,'Spacer(cW-_15d[W',1025,']+_160/6);html=',895,1191,'html,_160/6,h);box=',924,1121,'+_160/3,h,d);box.bh=bh;box.bd=bd;',944,'LayoutAbsolute',711,'size,_177,_178,_179,_17a,_17b){if(_178==null){_178=[];}if(_179==null){_179=[];}if(_17a==null){_17a=[];}var _17c=jsMath.sizes[size]/100;',1404,'_17c;var dy=(_17b||1)*_17c/6',1389,'w=0;var h;var x;var y',1391,'_177',752,'if(_17a[i]==null){_17a[i]=0;}row=_177',1395,'_17c',1397,'_17c',1399,1400,'w;}}}}if(_17a[_177',1402,'_17a[_177.length]=0;}y=(H',1025,')*dy','+_17a[0];for(i=0;i<','H',752,1434,'_17a',1436,1406,'_18b;w=_17c/6',1408,'y=H[0]-h',1471,'_177',752,'_18b=_177[i][j];if(_18b&&_18b.format!="null"){','if(_178[j]&&_178[j]=="','l"){x',1187,1485,'r"){x=W[j]-_18b.w;}else{x=(W[j]-_18b.w)/2;}}',1209,1260,'_18b.html,w+x,y-Math.max(0,_18b.bh-jsMath.h*_17c));}if(i+1<_177',1022,'y+=',1419,'_17a[i+1];}}if(_179[j]==null){_179[j]=_17c;}w+=W[j]+_179[j];}w=-_179[W',1025,']+_17c/3;for(i=0;i<W',752,'w+=W[i]+_179[i];}html=',895,'Spacer(_17c/6',')+html+',895,1502,');if(',802,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',895,1318,'h+d,d,y,H[0]);',937,924,1121,'+_17c/3,h,d);',944,'InternalMath',711,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',780,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _192="";var _193=[];var _194;var html;var box;while(i<text',1022,'c=text.charAt(i++);if(c','=="$"){if(_192=="$"){','_194=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_194.error){_193[_193.length]=this.Text(_194.error,"error","T",size,1,0.2);}else{_194.Atomize();_193[_193.length]=_194.mlist.Typeset("T",size).Styled();}_192="";k=i',';}else{','_193[_193.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_192="$";k=i;}}else{if(c=="\\\\"){',1523,'=="("&&_192==""){',1529,',i-2',1531,'_192=")";k=i;}else{if(c==")"&&_192==")"){',1525,'2',1527,';}}}}}',1529,1531,780,'SetList(_193,"T",size);},Set',711,'box',',_198,size',',_19a){if(box&&box.type){','if(box.type=="typeset"){',756,'box;}if(box.type=="mlist"){box.mlist.Atomize(_198,size);',756,'box.mlist.Typeset(_198,size);}if(box.type=="text"){box=this.Text(box.text,',940,1549,',box.ascend||null,box.descend||null',');if(_19a!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1549,1559,756,917,'.Null;},SetList',711,'_19b,_19c,size){var _19e=[];var box;',737,'_19b',752,'box=_19b[i];',1551,'box=','jsMath.mItem','.Typeset(box);}_19e[_19e.length]=box;}var _1a1=new jsMath.Typeset(_19e);',756,'_1a1.Typeset(_19c,size);}});','jsMath.Package(jsMath.','Box,{Styled',729,'if(this.format=="text"){',920,928,'this.tclass,this.html);',920,930,931,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',756,'this;},Remeasured',729,'if(this.w>0){this.w',933,'this.html).w',873,'this;}});',1574,918,'type,def){this.type=type;jsMath.Add(this,def);};',727,'mItem,{Atom',711,'type,_1a5','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a5});},TextAtom',711,'type,text,_1a8,a,d){var atom=new ',1574,1605,':{type:"text",text:text,tclass:_1a8}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1612,'descend=d',873,'atom;},TeXAtom',711,'type,c,font',1604,1605,':{type:"TeX",c:c,font:font}});},Fraction',711,'name,num,den,_1b2,left,_1b4',1604,'("fraction",{from:name,num:num,den:den,thickness:_1b2,left:left,right:_1b4});},Space',711,'w',1604,'("space",{w:w});},Typeset',711,'box',1604,'("ord",{atom:1,nuc:box});},HTML',711,'html',1604,'("html",{html:html});}});jsMath.mList',918,'list,font,size,_1bb){if(list){this.mlist=list;}else{this.mlist=[];}if(_1bb==null){_1bb="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1bb','};this.init={',1641,'};};',1578,'mList,{Add',711,'box){return (this.mlist[','this.mlist.length',']=box);},Get',711,'i){',780,'mlist[i];},Length',729,780,'mlist.length;},Last',729,'if(',1649,1143,780,'mlist[',1649,'-1];},Range',711,'i,j){if(j==null){j=',1649,873,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',711,1667,'i;}if(','this.mlist.splice','){',1674,'(i,j-i+1);}else{var _1c2=[];for(var k=0;k<',1649,';k++){if(k<i||k>j){_1c2[_1c2.length]=this.mlist[k];}}this.mlist=_1c2;}},Open',711,'left){',937,'this.Add(new ',1574,'("boundary",{data:this.data}));var _1c6=this.data;this.data={};for(var i in _1c6){this.data[i]=_1c6[i];}delete this.data.over'],
  ['I',';delete ','this.','data.overF;',2,'data.openI','=','this.mlist','.length','-1;if(left!=null','){box','.left=left;}','return ','box;},','Close',':function(','_1c8){if(_1c8!=null){_1c8=new ','jsMath.mItem','("boundary",{right:_1c8});}var atom;var open=',2,5,';','var over=this.data.overI;var from=this.data.overF;',2,'data=',7,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1c8){','var _1cd','=new jsMath.','mList([',7,'[open],atom,_1c8]);atom=',17,'.Atom("inner','",{type:"mlist",mlist:','_1cd});}}else{var _1ce=open+1;',28,2,'Add(_1c8);_1ce--;}atom=',17,'.Atom((_1c8)?"inner":"ord',36,2,'Range(_1ce)});}',2,'Delete(open,',2,'Length());',12,2,'Add(atom);},Over',':function(){',22,'var ',27,7,'=[atom];},Atomize',15,'_1d2',',size){var ','_1d4;var prev="";','this.style','=_1d2;',2,'size=size;','for(var i=0;i<',7,8,';i++){','_1d4=',7,'[i];_1d4.delta=0;if(_1d4.type=="choice"){',7,'=',2,'Atomize.choice(',63,',_1d4,i,',7,');i--;}','else{if(',2,'Atomize[_1d4.type',']){var f=',2,84,'];f(',63,',',2,'size,_1d4,prev,this,i);}}prev=_1d4;}if(_1d4&&_1d4','.type=="bin"){','_1d4','.type="ord";}','if(',7,8,'>=2&&_1d4.','type=="boundary','"&&',7,'[0].',100,'"){',2,'AddDelimiters','(_1d2,size);}},',107,15,'_1d8',61,'_1da=-10000;var h=_1da;var d=_1da;for(var i=0;i<',7,8,70,'var _1de=',7,'[i];if(_1de.atom||_1de.type=="box"){h','=Math.max(','h,_1de.nuc.h+_1de.nuc.y);d',120,'d,_1de.nuc.d-_1de.nuc.y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1d8,size).axis_height;var _1e1',120,'h-a,d+a);var H',120,'Math.floor(','TeX.integer','*_1e1/500)*TeX.delimiterfactor,',132,'*(2*_1e1-TeX.delimitershortfall))/',132,';var left=',7,'[0];var _1e4=',7,'[',7,8,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d8);_1e4.nuc',145,146,'_1e4.right',',_1d8);left.type="open";left','.atom=1',1,147,';_1e4.type="close";_1e4',153,1,151,';},','Typeset',15,'_1e5',61,'_1e7',30,161,'(',7,');',12,'_1e7.',161,'(_1e5,size);}});','jsMath.Add(jsMath.','mList.prototype.Atomize,{style',15,'_1e8,size,_1ea,prev,_1ec){_1ec.style=_1ea.style;},size',15,'_1ed,size,_1ef,prev,_1f1){_1f1.size=_1ef.size;},phantom',15,'_1f2,size,_1f4){','var box','=_1f4.nuc',145,'Set(','_1f4.phantom',',_1f2,size);if(_1f4.h',10,'.Remeasured();','box.html','=','jsMath.HTML.','Spacer(','box.w);}else{',191,'="",box.w=0;}if(!_1f4.v){','box.h=box.d=','0;}box.bd=box.bh=0',1,187,';_1f4.type="box";},smash',15,'_1f6,size,_1f8){',183,'=_1f8.nuc',145,186,'_1f8.smash',',_1f6,','size).Remeasured();',198,'box.bd=box.bh=0',1,209,';_1f8.type="box";},raise',15,'_1fa,size,_1fc){_1fc.nuc',145,186,'_1fc.nuc,_1fa',',size);var ','y=_1fc.raise;_1fc.nuc.html=',193,'Place(_1fc.nuc.html,0,y);_1fc.nuc.h+=y;_1fc.nuc.d-=y;_1fc','.type="ord";','_1fc',153,';},lap',15,'_1fe,size,_200){',183,145,186,'_200.nuc,_1fe,',211,'var _202=[box];','if(_200.lap=="','llap"){','box.x=-box.w',';}else{',238,'rlap"){_202[1]=',17,'.Space(-',195,238,'ulap"){box.y=box.d;',198,'0',241,238,'dlap"){box.y=-box.h;',198,'0;}}}}_200.nuc',145,'SetList(','_202,_1fe,size);',238,'ulap"||_200.lap=="dlap"){_200.nuc.h=_200.nuc.d=0;}_200.type="box";delete _200.atom;},bin',15,'_203,size,_205',',prev){if(prev','&&prev.type){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',100,'"&&prev.left!="")){_205.type="ord";}}else{_205',95,'jsMath.mList.prototype.Atomize.SupSub(',262,');},rel',15,'_208,size,_20a',263,'.type&&prev',93,'prev',95,268,272,');},close',15,'_20c,size,_20e',263,'.type&&prev',93,'prev',95,268,282,');},punct',15,'_210,size,_212',263,'.type&&prev',93,'prev',95,268,292,');},open',15,'_214,size,_216','){',268,302,');},inner',15,'_217,size,_219','){',268,308,');},','vcenter',15,'_21a,size,_21c','){',183,145,186,'_21c.nuc,_21a',222,'TeX=',126,'TeX(_21a,size);box.y=','TeX.axis_height','-(box.h-box.d)/2;_21c.nuc=box;_21c',226,268,315,');},','overline',15,'_21f,size,_221','){var TeX=',126,'TeX(_21f',222,'box',145,186,'_221.nuc,',126,'PrimeStyle','(_21f),',211,'var t=','TeX.default_rule_thickness',';var rule',145,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;_221.nuc',145,'SetList([box,','rule],_21f,size);_221.nuc.h+=t;_221',226,268,333,');},','underline',15,'_226,size,_228','){var TeX=',126,'TeX(_226',222,'box',145,186,'_228.nuc,',126,343,'(_226),',211,346,347,';var rule',145,350,'=-box.d-3*t-t;_228.nuc',145,353,'rule],_226,size);_228.nuc.d+=t;_228',226,268,361,');},radical',15,'_22d,size,_22f','){var TeX=',126,'TeX(_22d',222,'Cp=',126,343,'(_22d);',183,145,186,'_22f.nuc,Cp,',211,346,347,';var p=t;if(_22d=="D"||_22d=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',145,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_22d,1);if(surd.d>',407,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',145,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',240,';var Cr=',126,'UpStyle(',126,416,'_22d));var root',145,186,'_22f.root||null,Cr,',211,'if(_22f.root){root.y=0.55*(',407,'+3*t+r)-box.d;surd.x',120,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22f.nuc',145,'SetList([','surd,root,rule,box],_22d,size);_22f',226,268,388,');},accent',15,'_23a,size',',_23c){var TeX=',126,'TeX(_23a',222,'Cp=',126,343,'(_23a);',183,145,186,'_23c.nuc',',Cp',222,'u=box.w;var s;var Font;if(_23c.','nuc.type=="TeX','"){Font',124,'[',449,'.font];if(','Font[_23c.nuc.c].krn','&&Font.skewchar){s=',459,'[Font.skewchar];}}if(s==null){s=0;}var c=_23c.accent[2];var font',124,'.fam[_23c.accent[1]];Font',124,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _245=Math.min(box.h,TeX.','x_height);','if(_23c.',453,'"){var _246=',17,'.Atom("ord",',449,');_246.sup=_23c.sup;_246.sub=_23c.sub;_246.delta=0;',268,437,',_246);_245+=(_246.nuc.h-box.h);box=',449,'=_246.nuc',1,'_23c.sup',1,'_23c.sub;}var acc',145,'TeX(c,font,',437,');acc.y=box.h-_245;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',449,145,353,'acc],',437,');if(',449,'.w!=box.w){var _248=',17,'.Space(','box.w-',449,'.w);',449,145,430,449,',_248],',437,');}_23c',226,268,437,',_23c);},op',15,'_249,size,_24b','){var TeX=',126,'TeX(_249',222,'box;','_24b.delta','=0;var isD=(_249','.charAt(0)=="','D");if','(_24b.limits','==null&&isD){_24b.limits=1;}if(_24b.',453,'"){var C',124,'[_24b.nuc.font][','_24b.nuc','.c];if(isD&&C.n){',529,'.c=C.n;C',124,528,'C.n];}box',145,'Set(_24b.nuc,_249,size',');if(C.ic){_24b','.delta=C.ic*TeX.scale;if',523,'||!_24b.sub||','jsMath.Browser.msieIntegralBug',10,145,353,17,497,519,')],','_249,size);}}','box.y=-((',407,')/2-box.d-',325,');if(Math.abs(box.y)<0.0001',10,'.y=0;}}if(!box',10,145,537,').Remeasured();}if',523,'){var W=box.w;var x=box.w;var _252=[box];var dh=0;var dd=0;if(_24b.sup){var sup',145,186,'_24b.sup,',126,416,'_249),',211,'sup.x=((box.w-sup.w)/2+',519,'/2)-x;dh=TeX.big_op_spacing5;W',120,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_252[_252',8,']=sup',1,'_24b.sup;}if(_24b.sub){var sub',145,186,'_24b.sub,',126,'DownStyle','(_249),',211,'sub.x=((box.w-sub.w)/2-',519,'/2)-x;dd=TeX.big_op_spacing5;W',120,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_252[_252',8,']=sub',1,'_24b.sub;}if(W>box.w',10,'.x=(W-box.w)/2;x+=box.x;}if(x<W){_252[_252',8,']=',17,497,'W-x);}',529,145,257,'_252,_249,size);',529,'.h+=dh;',529,'.d+=dd;}',82,542,'&&_24b.sub&&C&&C.ic){',529,145,353,'jsMath.Box.','Space(-C.ic*TeX.scale)],_249,size);}',82,'box.y){',529,145,430,'box],',550,268,513,');}},ord',15,'_257,size,_259',',prev,_25b,i){if(_259.',453,'"&&!_259.sup&&!_259.sub){var _25d=','_25b.mlist','[i+1];if(_25d&&_25d.atom&&_25d.type&&(_25d.type=="ord','"||_25d.type=="','op',636,'bin',636,'rel',636,'open',636,'close',636,'punct")){if(_25d.',453,'"&&_25d.nuc.font==_259.nuc.font){_259.textsymbol=1;var krn',124,'[_259.nuc.font][_259.nuc.c].krn;krn*=',126,'TeX(_257,size).scale;if(krn&&','krn[_25d.nuc.c',']){for(var k=',634,8,'-1;k>i;k--){',634,'[k+1]=',634,'[k];}',634,'[i+1]=',17,497,654,']);}}}}',268,630,');},fraction',15,'_260,size,_262','){var TeX=',126,'TeX(_260',222,'t=0;if(_262.thickness!=null){t=_262.thickness;}',82,'_262.from.match(/over/)){t=',347,';}}var isD=(_260',521,'D");var Cn=(_260=="D")?"T":(_260=="D\'")?"T\'":',126,416,'_260);var Cd=(isD)?"T\'":',126,584,'(_260);var num',145,186,'_262.num',',Cn,',211,'var den',145,186,'_262.den,Cd,',211,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _26e=[',617,146,'_262.left,_260)];var _26f',145,146,'_262.right,_260);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_26e[1]=num;_26e[2]=den',241,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_26e[1]=den;_26e[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',241,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',347,':3*',347,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',125,325,715,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',716,'v+=p-r;}var rule',145,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_26e[_26e',8,']=rule;}num.y=u;den.y=-v;_26e[_26e',8,']=_26f;_262.nuc',145,257,'_26e,_260,size);_262',226,'_262',153,1,693,1,'_262.den;',268,673,');},SupSub',15,'_276,size',',_278){var TeX=',126,'TeX(_276',222,'nuc=','_278.nuc',';',183,'=',750,145,186,750,',',744,',0);if(box.format=="null"){box=',750,145,'Text("","normal",',744,');}if(',453,'"){if(!_278.textsymbol){var C',124,'[nuc.font][nuc.c];if(C.ic){_278',539,'(!','_278.sub',10,'=',750,145,353,617,'Space(_278.delta)],',744,');_278.delta=0;}}}else{_278.delta=0;}}if(!_278.sup&&!',772,'){return;}',750,'.Styled();var Cd=',126,584,'(_276);var Cu=',126,416,'_276);var q=',126,'TeX(Cu,size).','sup_drop;var r=',126,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(',772,'){var sub',145,186,772,',Cd,size);sub',145,430,'sub,',17,'.Space(TeX.scriptspace)],_276,size',');}if(!_278.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',126,796,467,750,145,353,'sub],',744,').Styled();delete ',772,';return;}var sup',145,186,'_278.sup,Cu,size);sup',145,430,'sup,',17,808,');if(_276=="D"){p=TeX.sup1;}',82,'_276','.charAt(','_276',8,'-1)=="\'"){','p=TeX.sup3',241,'p=TeX.sup2;}}u',120,'u,p,sup.d+',126,793,'x_height/4);if(!',772,'){sup.y=u;',750,145,353,'sup],',744,');delete _278.sup;return;}v',120,'v,',126,796,'sub2);',346,347,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',190,'sub',190,'sup.y=u;sub.y=-v;sup.x=_278.delta;if(sup.w+sup.x>sub.w){sup.x-=sub.w;',750,145,353,'sub,sup],',744,');}else{sub.x-=(sup.w+sup.x);',750,145,353,'sup,sub],',744,');}delete _278.sup',1,772,';}});jsMath.',161,'=function(_287){',2,'type="typeset";',7,'=_287;};',175,161,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',888,'\'",SS:"SS\'","',890,'UpStyle',15,'_288){',12,2,'upStyle[_288];},',584,15,'_289){',12,2,891,'[_289];},',343,15,'_28a){if(_28a',832,'_28a',8,835,12,'_28a;}',12,'_28a+"\'";},StyleValue',15,'_28b,v){if(_28b=="S"||_28b=="S\'"){',12,'0.7*v;}if(_28b=="SS"||_28b=="SS\'"){',12,'0.5*v;}',12,'v;},StyleSize',15,'_28d,size){if(_28d=="S"||_28d=="S','\'"){size=Math.max(0,size-','2);}',82,'_28d=="SS','"||',933,930,'4);}}',12,'size;},TeX',15,'_28f,size){if(_28f=="S"||_28f=="S',930,'2);}',82,'_28f=="SS','"||',945,930,937,12,'jsMath.TeXparams[size];},AddStyle',15,'_291,size,html){if(_291=="S"||_291=="S',930,'2);}',82,'_291=="SS','"||',957,930,937,'if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',12,'html;},AddClass',15,'_294,html){if(_294!=""&&_294!="normal"){html=',193,'Class(_294,html);}',12,'html;}});','jsMath.Package(jsMath.',161,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',975,'punct',977,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',977,',bin:2,rel:3,open',983,'}},SSsep:{ord:{op:1},op',977,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',15,'l,r,_298){if(l&&l.atom&&r.atom){var _299=',2,'DTsep;if(_298',521,'S"){_299=',2,'SSsep;}var row=_299[l.type];if(row&&row[r.type]!=null){',12,'jsMath.TeX[',2,'sepW[row[r.type]]];}}',12,'0;},',161,15,'_29b,size){',63,'=_29b;',2,66,'var _29d=-10000;',2,'w=0;',2,'h=_29d;',2,'d=_29d;',2,'bh=',2,'h;',2,'bd=',2,'d;',2,'tbuf="";',2,'tx=0;',2,'tclass','="";',2,'cbuf="";',2,'hbuf="";',2,'hx=0;var _29e=null;var prev;',2,'x=0;',2,'dx=0;for(var i=0;i<',7,8,70,'prev=_29e;_29e=',7,'[i];switch(_29e.type){case "size":','this.FlushClassed();',2,'size=_29e.size;','_29e=prev;break;case "','style":',1051,'if(',63,832,63,8,835,63,'=_29e.style','+"\'";}else{',63,1064,';}',1054,'space":if(typeof (_29e.w)=="object"){if(',63,832,'1)=="','S"){_29e.w=0.','5*','_29e.w[0]/18',';}',82,63,521,1074,'7*',1076,241,'_29e.w=',1076,';}}}',2,'dx+=_29e.w-0;',1054,'html":',1051,'if(this.hbuf==""){this.hx=this.','x;}',2,'hbuf+=','_29e.html;_29e=prev;break;default:if(!_29e.atom&&_29e.type!="box"){break;}','_29e.nuc.','x+=',2,'dx+',2,991,'(prev,_29e,',63,');if(',1098,'y||',1098,'x){',1098,'Styled();}',2,'dx=0;',2,'x=',2,'x+',2,'w;',2,'w+=',1098,'w+',1098,'x;if(',1098,'format=="text"){if(',2,1033,'!=',1098,1033,'&&',2,1033,'!=""){',2,'FlushText','();}if(',2,'tbuf==""&&',2,'cbuf==""){',2,'tx=',2,'x;}',2,'tbuf+=',1098,'html;',2,1033,'=',1098,1033,241,1051,'if(',1098,'x||',1098,'y){',2,'Place(_29e.nuc);}',1093,'x;}',2,1096,1098,'html;}',2,'h',120,2,'h,',1098,'h+',1098,'y);',2,'bh',120,2,'bh,',1098,'bh);',2,'d',120,2,'d,',1098,'d-',1098,'y);',2,'bd',120,2,'bd,',1098,'bd);break;}}',1051,'if(',2,'dx){',2,1096,193,194,2,'dx);',2,'w+=',2,'dx;}if(',2,'hbuf==""){',12,617,'Null;}if(',2,'h==_29d){',2,'h=0;}if(',2,'d==_29d){',2,'d=0;}',183,30,'Box("html",',2,'hbuf,',2,'w,',2,'h,',2,'d);box.bh=',2,'bh;box.bd=',2,'bd;',12,13,1139,53,'if(',2,'tbuf','==""){return;}',2,'cbuf+=',126,'AddClass(',2,1033,',',2,'tbuf);',2,'tbuf="";',2,1033,'="";},FlushClassed',53,2,1139,'();if(',2,'cbuf',1254,1093,'tx;}',2,1096,126,'AddStyle(',63,',',2,'size,',2,'cbuf);',2,'cbuf="";},Place',15,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',193,'Em(item.x)+";";}if(item.y){html+=" top:"+',193,'Em(-item.y',')+";";}item.html=html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',15,'item){if(item.y){item.',1292,'; "+"top:"+',193,1297,')+";"+"\\">"+item.',963,'if(item.x){item.html=',193,194,'item.x)+item.',1172,1299,878,'Parse','=function(s,font,size,','_2a8){var _2a9',30,'Parser(s,font,size,_2a8);_2a9.Parse();',12,'_2a9;};jsMath.Parser',1317,'_2ad){',2,'string=s;',2,'i=0;',7,30,'mList(null,font,size,_2ad);};',972,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1334,'r',1334,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1346,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1346,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1344,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1354,'T"],scriptstyle',1354,'S"],scriptscriptstyle',1354,'SS"],rm',':["HandleFont",','0],mit',1362,'1],oldstyle',1362,'1],cal',1362,'2],it',1362,'4],bf',1362,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1376,'arctan',1376,'arg',1376,'cos',1376,'cosh',1376,'cot',1376,'coth',1376,'csc',1376,'deg',1376,'det',':"NamedOp",','dim',1376,'exp',1376,'gcd',1396,'hom',1376,'inf',1396,'ker',1376,'lg',1376,'lim',1396,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1414,'sup"],ln',1376,'log',1376,'max',1396,'min',1396,'Pr',1396,'sec',1376,'sin',1376,'sinh',1376,'sup',1396,'tan',1376,'tanh',1376,313,':["HandleAtom","',313,'"],',331,1440,331,'"],',359,1440,359,'"],over',':"HandleOver",','overwithdelims',1451,'atop',1451,'atopwithdelims',1451,'above',1451,'abovewithdelims',1451,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1463,'","[","]"],choose',1463,'","(",")"],overbrace',1374,'leaders"],','underbrace',1374,1470,'overrightarrow',1374,1470,'overleftarrow',1374,1470,'overset',1374,'underset-overset"],','underset',1374,1482,'llap',':"HandleLap",','rlap',1487,'ulap',1487,'dlap',1487,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1495,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1499,'not="],neq',1499,'not="],notin',1499,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1499,1506,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1499,'mathbin{\\\\rm mod}"],pmod',1499,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1499,'ointop\\\\nolimits"],doteq',1499,'buildrel\\\\textstyle.\\\\over="],ldots',1499,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1499,1522,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1499,1522,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1499,1522,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1499,1506,'kern-4mu}"],relbar',1499,1506,'smash-}"],','Relbar',1499,1511,'="],bowtie',1499,1511,'\\\\',1340,'\\\\joinrel\\\\',1511,'\\\\triangleleft"],models',1499,1511,'|\\\\joinrel="],mapsto',1499,'mapstochar\\\\','rightarrow"],rightleftharpoons',1499,313,'{\\\\',1506,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1342,'}"],hookrightarrow',1499,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1499,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1499,1539,1547,'Rightarrow"],','longrightarrow',1499,'relbar\\\\',1565,'longleftarrow',1499,1568,'relbar"],Longleftarrow',1499,'Leftarrow\\\\joinrel\\\\',1539,'"],longmapsto',1499,1554,'char{cmsy10}{0}\\\\',1565,'longleftrightarrow',1499,'leftarrow\\\\',1565,'Longleftrightarrow',1499,1583,1573,'iff:["Macro","\\\\;\\\\',1594,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1601,'rm #1}",1],mathbf',1601,'bf #1}",1],','mathbb',1601,1606,'mathit',1601,'it #1}",1],textrm',1499,'mathord{\\\\hbox{#1}}",1],textit',1499,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1499,1616,1619,1618,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1625,'ord",1.15],bigg',1625,'ord",1.45],Bigg',1625,'ord",1.75],bigl',1625,'open",0.85],Bigl',1625,'open",1.','15],biggl',1625,1636,'45],Biggl',1625,1636,'75],bigr',1625,'close",0.85],Bigr',1625,'close",1.','15],biggr',1625,1647,'45],Biggr',1625,1647,'75],bigm',1625,'rel",0.85],Bigm',1625,'rel",1.15],biggm',1625,'rel",1.45],Biggm',1625,'rel",1.75],mathord',1440,'ord"],mathop',1440,'op"],mathopen',1440,'open"],mathclose',1440,'close"],mathbin',1440,'bin"],',1511,1440,'rel"],mathpunct',1440,'punct"],mathinner',1440,'inner"],','mathchoice',1374,1680,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1374,'fbox"],strut:"Strut",mathstrut',1499,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1688,'18]],ddot',1688,'127]],tilde',1688,'126]],bar',1688,'22]],breve',1688,'21]],check',1688,'20]],hat',1688,'94]],vec',':["MathAccent",[0,','1,126]],dot',1688,'95]],widetilde',1704,'3,101]],widehat',1704,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1712,'","&nbsp;","normal"],angle:["',1712,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1718,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",newline:"HandleRow",noalign:"HandleNoAlign",eqalignno',1718,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1718,1723,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1728,'1],scriptsize',1728,'2],small',1728,'3],normalsize',1728,'4],large',1728,'5],Large:["Hand'],
  ['leSize",6],LARGE',':["HandleSize",','7],huge',1,'8],Huge',1,'9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',9,'"],def',10,9,'"],color',10,'HTML"],','href',10,'HTML"],"class":["','Extension','","',17,'style',10,17,'cssId',10,17,'unicode',10,17,'bbox',10,33,'"],require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix:["Array","(",")","c"],bmatrix:["Array","[","]","c"],Bmatrix:["Array","\\\\{","\\\\}","c"],vmatrix:["Array","\\\\vert","\\\\vert","c"],Vmatrix:["Array","\\\\Vert","\\\\Vert","c"],cases:["Array","\\\\{",".","ll",null,2],eqnarray',42,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',49,'[id]]=obj[id];}},Error',46,'(s){','this.i','=this.','string.length;if(s','.error){','this.error','=s.error;}else{if(!this',58,59,'=s;}}},nextIsSpace',46,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',46,'(text){','if(typeof (','text)!="string"){',66,'text;}',66,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',46,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',58,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',97,98,'1',82,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',110,'TeX")){',66,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',46,'(){var ','_2b5=/^([a-z]+|.) ?/i;var cmd=_2b5.exec(','this.string.slice(','this.i));','if(','cmd){','this.i+=','cmd[1].length;',66,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b8){','while','(this.nextIsSpace()){this.i','++;}if(',55,'>=','this.string','.length){','if(!',133,'this.Error("','Missing',' argument for "+name);}',97,'if(',67,')==this.','close){if(!',133,143,'Extra close brace','");}',97,'if(',67,149,123,128,66,'this.cmd+','this.',116,'();}if(',67,')!=this.open','){return ',67,'++);}var j','=++this.i;var ','_2ba=1;var c="";',134,'(this.i<this.string.length){','c=',67,'++);','if(c==this.cmd){',55,'++;}else{if(c','==this.open){_2ba',180,'==this.close){if(_2ba==0){',143,153,'");',97,'if(--_2ba==0',168,120,'j,',55,'-1);}}}}}',143,'Missing close brace','");return',' null;},ProcessArg',131,'){var arg=this.',130,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',131,199,130,'(',202,203,204,'if(arg.charAt(0',149,'cmd',82,'_2c0=arg.substr(1);if(_2c0=="frac"){arg+="{"+this.',130,'(_2c0)+"}";',203,204,'arg+="{"+this.',130,'(_2c0)+"}";',203,' null;}}else{if(_2c0','=="sqrt"){arg+="["+this.','GetBrackets','(_2c0)+"]";',203,204,'arg+="{"+this.',130,'(_2c0)+"}";',203,227,'.match(this.scriptargs)){arg+="{"+this.',130,'(_2c0)+"}";',203,' null;}}}}}',205,'GetDelimiter',131,'){',134,135,'++;}var ','c=',67,');if',174,128,178,'c="\\\\"+this.',116,'(',202,203,' null;}}','if(','this.delimiter[','c]!=null',168,263,'c];}}',143,144,' or unrecognized delimiter for "+','name);return null;},','GetDimen',131,',nomu',82,'rest;var _2c6=0;if',135,'++;}if(',67,')=="{"){rest',56,130,'(name);}else{rest=',120,55,');_2c6=1;}',66,'this.','ParseDimen','(rest,name,_2c6,nomu);},',289,46,'(_2c7,name,_2c9,nomu',82,'_2cb=_2c7.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2cb){',143,144,' dimension or its units for "+',202,97,'if(_2c9){',124,'_2cb[0].length;if',135,'++;}}var d=_2cb[1]-0;if(_2cb[4]=="px"){d/=',87,'em',';}else{if(_2cb[4]=="','pt"){d/=10',308,'ex"){d*=','jsMath.TeX.','x_height',308,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',66,'d;},GetNext',46,'(){',134,135,'++;}',66,67,');},',229,131,82,'c',56,'GetNext();if(c','!="["){return "";}var _2cf',171,'_2d0=0;',134,174,'var c=',67,'++);if(c=="{"){','_2d0',180,'=="}"){if(','_2d0==0){',143,153,' while looking for',' \']\'");',97,'_2d0--;}else{',178,55,180,'=="]"){if(_2d0==0',168,120,'_2cf,',55,'-1);}}}}}}',143,'Couldn\'t find',' closing \']\' for argument to "+',162,271,'GetUpto',131,',_2d3){',134,135,249,'_2d4',56,'i;var _2d5=0;',134,174,'var c=',67,339,'_2d5',180,342,'_2d5==0){',143,153,346,' "+',162,'_2d3);',97,'_2d5--;}else{',178,'if(',120,'this.i,this.i+','5)=="begin"){_2d5++;',124,'4;}else{if(',120,393,'3)=="end"){if(_2d5>0){_2d5--;',124,'2;}}}if(',381,'if(',120,393,'_2d3.length',')==_2d3){c=',67,'+',406,');if(c.match(/[^a-z]/i)||!_2d3.match(/[a-z]/i)){var arg=',120,'_2d4,',55,'-1);',124,406,';',66,'arg;}}}',55,'++;}}}}',143,360,' "+',162,'_2d3+" for "+',271,'ProcessUpto',131,',_2d9',199,364,'(name,_2d9);',203,204,205,'GetEnd',46,'(env',82,'body="";var name="";',134,'(name!=env){body+=this.',364,'("begin{"+env+"}","end");',203,204,'name',56,130,'(this.cmd+"','end");',203,261,66,'body;},Space',46,'(){},','Prime',46,'(c',82,'base=',84,106,'(base==null||(!base',108,'base.type!="','box"&&',469,'frac")){',464,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',143,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',134,'(c=="\'"){sup+=this.cmd+"prime";c',56,331,'=="\'"){',55,'++;}}base.sup',56,79,'(sup);','base.sup.isPrime','=1;},RaiseLower',131,82,'h','=this.GetDimen(this.cmd+name',',1);',203,480,'box',56,206,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',84,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',131,82,'x',497,498,203,480,'box','=this.ProcessArg',504,505,'moveleft"){x=-x;}',474,'Space(x));',474,'Atom("ord",box));',474,'Space(-x));},',37,131,82,'file',56,130,504,';}file=',87,21,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',21,'(null,[','file]);},',21,131,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',49,'[data[1]||"macros"][name];}',87,21,'.',37,'(data[0],',550,'.asynchronous',');throw "restart";},Frac',131,82,'num',518,504,480,'den',518,504,';}',474,'Fraction("over",num,den));},Sqrt',131,82,'n',56,229,504,480,'arg',518,504,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',56,79,'(n);',203,';}}',84,'Add(box);},','Root',131,82,'n',56,429,'(',162,'name,"of");',203,480,'arg',518,504,586,'box.root=n;',84,594,'BuildRel',131,82,'top',56,429,'(',162,'name,"over");',203,480,'bot',518,504,480,'op=',87,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',84,'Add(op);},MakeBig',131,',data){var ','type=data[0];var h=data[1]*',87,'p_height;var _2fe',56,244,504,';}',474,'Atom(type,',87,'Box.Delimiter(h,_2fe,"T")));},Char',131,82,'font',56,130,504,480,'n',56,130,504,';}if(!','jsMath.TeX[font',']){',659,']=[];this.',21,545,'jsMath.Font.URL(font',')]);}else{',474,'Typeset(',87,'Box.TeX(n-0,font,"T",',84,91,')));}},Matrix',131,',_303',82,'data=',84,85,'var arg',56,130,504,480,'_306','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_303[5]||"T");_306.',41,'=name;_306.row=[];_306.table=[];_306.rspacing=[];_306.Parse();if(_306',58,95,'_306);',542,'_306','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_306.table,_303[2]||null,_303[3]||null,_306.rspacing,_303[4]||null);if(_303[0]&&_303[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_303[0]],"T");var _309',697,'_303','[1]],"T");box=jsMath.Box.SetList([left,box,','_309],','data.style,data.size',');}',474,'Atom((_303','[0]?"inner":"ord"),box));},','HandleEntry',131,'){','if(!this.',41,'){',95,'name+" can only appear in a matrix or array");return;}if(',84,'data.openI',552,'var open=',84,'Get(',84,717,');if(open','.left){',143,144,' "+this.cmd+"right','");}else{',143,195,'");}}if(',84,'data.overI',552,84,'Over();}var data=',84,85,84,'Atomize(',703,');var box=',84,668,703,');this.row[','this.row.length',']=box;this.mlist=new ',87,'mList(null,null,',91,92,');},HandleRow',131,',last',82,'_310;',711,41,'){',95,162,715,'name=="\\\\"){_310',56,229,504,';}if(_310){','_310',56,289,'(_310,',162,'name,0,1);}}this.',708,'(',202,'if(!last||',748,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',769,'this.rspacing[this.table.length',']=_310;}this.row=[];},HandleNoAlign',131,199,130,504,480,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',140,'return',480,'d',56,289,'(skip,',162,'RegExp.$1,0',498,203,';}',785,']=(',785,']||0)+d;},Array',131,',_316',82,'_317=_316[2];var _318=_316[3];if(!_317){_317',56,130,452,'begin{"+name+"}");',203,';}}_317=_317.replace(/[^clr]/g,"");_317=_317.split("");var data=',84,85,'var _31a=_316[5]||"T";var arg',56,438,'(',202,203,480,'_31c',686,'_31a);_31c.',41,'=name;_31c.row=[];_31c.table=[];_31c.rspacing=[];_31c.Parse();if(_31c',58,95,'_31c);',542,'_31c',695,'_31c.table,_317,_318,_31c.rspacing,_316[4]);if(_316[0]&&_316[1]){var left',697,'_316[0]],"T");var _31f',697,'_316',701,'_31f],',703,');}',474,'Atom((_316',707,'Begin',131,82,'env',56,130,504,';}if(env.match(/[^a-z*]/i)){',143,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',711,39,'[env]){',143,'Unknown',861,863,'var cmd',56,39,'[env];',71,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',131,82,'env',56,130,504,';}',95,162,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',131,',w){',474,'Space(w-0));},Hskip',131,82,'w',56,272,504,';}',474,'Space(w));},HBox',131,'){var text=this.',130,504,';}','var box=jsMath.','Box.InternalMath(text,',84,91,');',474,668,'box));},Rule',131,',_32d',82,'w',497,498,203,480,'h',497,498,203,480,'d',497,498,203,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',87,'em,h);}if(h==0||w==0||_32d=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',935,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',935,'Em(-d)+"\\">"+','html+"</span','>";}',474,668,'new ',87,'Box("html",html,w,h-d,d)));},Strut',46,118,'size=',84,91,';',907,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',474,668,'box));},Phantom',131,635,'arg',518,504,';}',84,508,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',131,635,'arg',518,504,';}',84,508,'smash",{smash:arg}));},MathAccent',131,',_33b',82,'c',518,504,480,104,87,630,'accent",c);atom.accent=_33b[0];',84,'Add(atom);},NamedOp',131,635,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',907,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',84,594,'Limits',131,635,104,84,106,'(!atom||atom.type!="op"){',95,162,'name+" is allowed only on operators',196,';}atom.limits=data[0];},',7,131,635,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',782,130,504,';}}text',56,'SubstituteArgs','(args,text);}',139,56,'AddArgs(','text,',120,121,55,'=0;},',1022,46,'(args,_34c',82,'text="";var _34e="";var c;var i','=0;while(i<','_34c',140,'c=','_34c.charAt(i','++);',178,'text+=c+',1041,'++);}else{if(c=="#"){c=',1041,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',140,143,'Illegal macro parameter reference");',97,'_34e',56,1026,'this.AddArgs(_34e,text','),args[c-1]);text="";}}else{text+=c;}}}',66,1057,');},AddArgs',46,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',66,'s1+s2;},Replace',131,549,474,'TextAtom',560,'data[1],data[2],data[3]));},Tilde',131,'){',474,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',131,82,'box',518,'();',203,';}box=',84,508,'lap",{nuc:box,lap:name}));},HandleAtom',131,635,'arg',518,504,';}',474,'Atom(data,arg));},HandleMathCode',131,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',46,'(type,font,code){if(type==7&&',84,89,552,'font=',84,89,';}font=',312,'fam[font];if(!',659,']){',659,']=[];this.',21,545,665,')]);}else{',474,'TeXAtom(',312,'atom[type],code,font));}},','HandleVariable',46,'(c',1097,'7,1',',c.charCodeAt(0));},','HandleNumber',46,'(c',1097,'7,0',1127,'HandleOther',46,'(c){',474,1075,'",c,"normal"));},HandleComment',46,118,'c;',134,174,'c=',67,1048,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',131,',_365){',84,'data.style=_365[0];',84,508,'style",{style:_365[0]}));},HandleSize',131,',size){',84,91,'=size[0];',84,508,'size",{size:size[0]}));},HandleFont',131,',font){',84,89,'=font[0];},HandleCS',46,118,'cmd',56,116,'();',203,';}if(this.macros[cmd]){var _36b',56,'macros[cmd];',71,'_36b',877,'_36b=[_36b];}this[_36b[0]](cmd,_36b.slice(1));',542,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1185,']);',542,'if(',263,162,'cmd',1186,'cmd,',263,162,'cmd].slice(0,3));',542,143,'Unknown control sequence \'"+',162,'cmd+"\'");},HandleOpen',46,'(){',84,'Open();},HandleClose',46,'(){if(',84,717,'==null){',143,153,196,480,'open=',84,'Get(',84,717,');if(!open||','open.left',1213,84,'Close();}else{',143,153,' or missing',728,196,';}},HandleLeft',131,82,'left',56,244,504,';}',84,'Open(left);},HandleRight',131,82,'_370',56,244,504,480,'open=',84,'Get(',84,717,724,'&&',1224,552,84,'Close(_370);}else{',143,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',131,549,'if(',84,734,552,143,'Ambiguous use of "+',162,202,542,84,734,'=',84,'Length();',84,'data.overF={name:name};if(data.length>0){',84,'data.overF.','left=',263,'data[0]];',84,1282,'right=',263,'data[1]];}else{if(name.match(/withdelims$/)){',84,1282,'left',56,244,504,';}',84,1282,'right',56,244,504,';}}else{',84,1282,'left=null;',84,1282,1288,'null;}}if(name.match(/^above/)){',84,1282,'thickness',497,498,203,1304,84,1282,'thickness=null;}},HandleSuperscript',46,118,464,84,106,'(base==null||(!base',108,469,'box"&&',469,'frac")){',464,474,475,476,'if(',492,'){',464,474,475,'else{',143,'Double exponent',479,';}}base.sup',56,206,'("superscript");',203,';}},HandleSubscript',46,118,464,84,106,'(base==null||(!base',108,469,'box"&&',469,'frac")){',464,474,475,'if(base.sub){',143,'Double subscripts',479,';}base.sub',56,206,'("subscript");',203,';}},Parse',46,118,'c;',134,174,'c=',67,1048,'this.mathchar[c',1186,'c,',1385,']);}else{if(this',50,'c]){this[this',50,'c]](c',');}else{if(','this.letter','.test(c)){this.',1122,'(c',1394,'this.number',1396,1128,'(c);}else{this.',1134,'(c);}}}}}if(',84,717,552,'var open=',84,'Get(',84,717,724,'.left){',143,144,728,729,143,195,'");}}if(',84,734,552,84,'Over();}},Atomize',46,118,'data=',84,'init;if(!this',58,84,741,703,');}},Typeset',46,118,'data=',84,'init;var box',56,'typeset=',84,668,703,');',203,' "<span class=\\"error\\">"+',59,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _37b=0;var _37c','=0;if(box.bh>','box.h&&box.bh>',87,'h','+0.001){_37b=1;}if(box.','bd>box.d&&box.bd>',87,'d',1457,'h>',87,'h||box.d>',87,'d){_37c=1',480,'html=box.html;if(_37b){if(','jsMath.Browser.','allowAbsolute',82,'y',1453,87,'h+0.001){y=',87,'h-box.bh;}html=',935,'Absolute(html,box.w,',87,'h,0,y,',87,'h',1394,1469,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',943,'>";}else{var dy=',935,'Em(Math.max(0,box.bd-',87,'hd)/3);',1487,')+";"+" position:relative; top:"+dy+"; ',940,'dy+"\\">"+',943,'>";}}_37c=1;}if(_37c){html+=',935,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',943,'></nobr>";}});',49,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',7,131,82,'_381=',49,'.macros;','_381','[name]=["',7,'"];for(var i=1;i<arguments.length;i++){_381[name][_381[name].length]=arguments[i];}}});',87,21,'={safeRequire:1,',7,131,',file',82,'_385=',49,1513,'if(file',1213,'file=name;}_385',1515,21,'",file];},LaTeX',46,'(env,file',82,'_388=',49,'.',39,';_388[env]=["',21,'",file,"',39,'"];},Font',131,1165,'if(font',1213,'font=name+"10";}var _38b=',49,1513,'_38b',1515,21,'",',665,')];},MathChar',46,'(font,defs',82,'fam=',312,'famName[font','];if(fam',1213,1562,312,'fam.length;',312,'fam[fam]=font;',312,1564,']=fam',480,'_38f=',49,'.mathchardef;for(var c in defs){_38f[c]=[defs[c][0],fam,defs[c][1]];}},',37,46,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',87,'root.length)!=',87,'root))){',539,540,']=1;',542,539,'Script(this.URL(file),show);},URL',46,'(file){file=file',77,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',66,'file;}};',1507,79,46,47,539,'Body();','jsMath.Script.','Push(',550,',"','Asynchronous','",obj);},ProcessBeforeShowing',46,47,539,1603,'var _396=(','jsMath.Controls.cookie.','asynch?"',1608,'":"','Synchronous','");',1604,1605,550,',_396,obj);}});',550,'={element:[],cancel:0,Parse',46,'(_397,s,_399',82,'_39a=',87,'Global.','cache[_397];if(!','_39a[jsMath.em',']){',1634,']={};}var HTML=',1634,'][s];if(!HTML||_399',82,'_39c=',87,'Parse(s,null,null,_397);_39c.Atomize();HTML=_39c.Typeset();if(!_399){',1634,'][s]=HTML;}}',66,'HTML;},TextMode',46,'(s,_39e){this.Parse("T",s,_39e);},DisplayMode',46,'(s,_3a0){this.Parse("D",s,_3a0);},','GetElementText',46,'(_3a1',903,'recursiveElementText','(_3a1);_3a1.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1658,'gt;/g,">");',1658,'quot;/g,"\\"");',1658,'amp;/g,"&");}',66,'text;},',1656,46,'(_3a3){if(','_3a3.nodeValue','!=null',168,1671,';}if(','_3a3.childNodes.length','==0){return " ";}var text="";',1015,1676,';i++){text+=this.',1656,'(_3a3.childNodes[i]);}',66,1667,'ResetHidden',46,'(_3a6){_3a6.innerHTML',939,'visibility:hidden; position:absolute; top:0px;left:0px; text-indent:0px\\"></span>"+',1469,'operaHiddenFix;_3a6.className="";',87,'hidden=_3a6.firstChild;if(!',87,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',87,'ReInit();},','ConvertText',46,'(_3a7,_3a8',903,1652,'(_3a7',');this.ResetHidden(','_3a7',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a8','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a8);_3a7','.className="typeset";','_3a7','.innerHTML=text;},','ConvertDisplay',46,'(_3aa,_3ab',903,1652,'(_3aa',1706,'_3aa',1708,'_3ab',1710,'D",text,_3ab);_3aa',1712,'_3aa',1714,'ProcessElement',46,'(_3ad){','this.restart','=0;var _3ae=(','_3ad.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3ad.tagName.toLowerCase()=="','div"){this.',1715,'(_3ad,_3ae);_3ad.onclick=jsMath.Click.CheckClick;_3ad.ondblclick=jsMath.Click.CheckDblClick',';}else',1737,'span"){this.',1700,1740,';}}}catch(err){if(_3ad.alt',82,'tex=_3ad.alt;','tex=tex.replace','(/&/g,"&amp;");',1749,'(/</g,"&lt;");',1749,'(/>/g,"&gt;");_3ad.innerHTML=tex;',1735,'="math";if(_3ae){',1735,'+=" nocache";}}',1696,';}},','ProcessElements',46,'(k){',1604,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1769,'){','jsMath.Message.','Set("',79,' Math: Canceled");',1775,'Clear();}',1604,1765,'0;',1604,79,'();}else{','this.ProcessElement(this.element[','k]);if(',1733,'){',1604,1605,'this,"',1761,'",k);',1604,1765,'0;setTimeout("',1604,79,'()",',1469,'delay);}else{k++;var p=Math.floor(100*k/',1767,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',550,'.',1761,'("+k+")",',1469,'delay);}}},',1608,46,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1769,'=0;this',562,'=1;',1604,1765,'1;',1806,': 0%",1);setTimeout("',550,'.',1761,'(0)",',1469,'delay);},',1619,46,'(obj,i){if(i==null',1817,'i=0;}this',562,1037,1767,'){',1787,'i]);if(',1733,'){',87,'Synchronize','("',550,'.',1619,'(null,"+i+")");',1604,79,'();',542,'i++;}this.',1771,'(1);},GetMathElements',46,47,'var _3b6=[];if(!obj){obj=','jsMath.document',';}',71,'obj',877,'obj=',1863,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',97,'var math=',1871,'("div','");for(var k=0;k<math.length;k++){if(math[k].className&&math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b6[_3b6.length]=math[k];}}}','math=',1871,'("span',1877,'if(',1469,'renameOK','&&obj','.getElementsByName','){_3b6=obj',1886,'("_jsMath_',729,'if(',87,'hidden','.sourceIndex','){_3b6.sort(function(a,b',168,'a',1894,'-b',1894,';});}}',66,'_3b6;},',1771,46,'(_3bc){if(',1469,1884,82,'_3bd=',1863,1886,1889,'");for(var i=_3bd.length-1;i>=0;i--){_3bd[i].removeAttribute("name");}}',1696,';this.element=[];if(!_3bc){',1806,': Done");',1775,'Clear();}',1775,'UnBlank();if(',1469,'safariImgBug&&(',1615,'font=="symbol"||',1615,'font=="image")){if(','this.timeout','){clearTimeout(',1929,');}',1929,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1935,'(1,0); "+"',550,'.timeout = null",2000);}},Cancel',46,'(){',550,'.cancel=1;if(',1604,'cancelTimer){',1604,'cancelLoad();}}};',1507,'ConvertTeX',46,'(_3bf){',1604,'Push(jsMath.tex2math,"',1950,'",_3bf);},','ConvertTeX2',46,'(_3c0){',1604,1954,1957,'",_3c0);},','ConvertLaTeX',46,'(_3c1){',1604,1954,1964,'",_3c1);},','ConvertCustom',46,'(_3c2){',1604,1954,1971,'",_3c2);},','CustomSearch',46,'(om,cm,od,cd','){',1604,1605,'null,function(){',87,'tex2math.',1978,1980,');});},tex2math:{',1950,46,459,1957,46,459,1964,46,459,1971,46,459,1978,46,'(){}}});',87,1847,'=',1604,1847,';try{if(','window.parent','!=window&&window.jsMathAutoload){',2011,'.jsMath=jsMath;',1863,'=',2011,'.document;',87,'window=',2011,';}}catch(err){}',87,1632,'Register();',87,'Loaded();',87,'Controls.GetCookie();',539,'Source();',87,1632,'Init();',1604,'Init();',539,'Fonts();if(',1863,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
